Index: BOOK/cross-tools/mips64-64/gcc-final.xml
===================================================================
--- BOOK/cross-tools/mips64-64/gcc-final.xml	(revision 9fb94bf3b4f92e0f7e2b89d270bb915d3b7c2e97)
+++ BOOK/cross-tools/mips64-64/gcc-final.xml	(revision 0f48af0b9a6b8ebb0a3971aa7789f42617fae9ea)
@@ -31,5 +31,4 @@
     xpointer="xpointer(//*[@os='p2'])"/>
 
-
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="gcc-static.xml"
@@ -39,4 +38,12 @@
     href="gcc-static.xml"
     xpointer="xpointer(//*[@os='ab'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="gcc-static.xml"
+    xpointer="xpointer(//*[@os='f1'])"/>
+    
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="gcc-static.xml"
+    xpointer="xpointer(//*[@os='f2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
@@ -75,5 +82,6 @@
   --with-mpfr=/cross-tools --with-gmp=/cross-tools --enable-c99 \
   --with-ppl=/cross-tools --with-cloog=/cross-tools \
-  --enable-long-long --enable-threads=posix --with-abi=64</userinput></screen>
+  --enable-long-long --enable-threads=posix --with-abi=64\
+  --disable-multilib</userinput></screen>
 
     <variablelist os="bg">
Index: BOOK/cross-tools/mips64-64/gcc-static.xml
===================================================================
--- BOOK/cross-tools/mips64-64/gcc-static.xml	(revision 9fb94bf3b4f92e0f7e2b89d270bb915d3b7c2e97)
+++ BOOK/cross-tools/mips64-64/gcc-static.xml	(revision 0f48af0b9a6b8ebb0a3971aa7789f42617fae9ea)
@@ -39,4 +39,12 @@
     href="../64/gcc-static.xml"
     xpointer="xpointer(//*[@os='ab'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../mips/gcc-static.xml"
+    xpointer="xpointer(//*[@os='f1'])"/>
+    
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../mips/gcc-static.xml"
+    xpointer="xpointer(//*[@os='f2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
@@ -84,5 +92,6 @@
   --without-headers --with-newlib --disable-decimal-float \
   --disable-libgomp --disable-libmudflap --disable-libssp \
-  --disable-threads --enable-languages=c --with-abi=64</userinput></screen>
+  --disable-threads --enable-languages=c --with-abi=64\
+  --disable-multilib</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/cross-tools/mips64-chapter.xml
===================================================================
--- BOOK/cross-tools/mips64-chapter.xml	(revision 9fb94bf3b4f92e0f7e2b89d270bb915d3b7c2e97)
+++ BOOK/cross-tools/mips64-chapter.xml	(revision 0f48af0b9a6b8ebb0a3971aa7789f42617fae9ea)
@@ -26,9 +26,9 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/cloog-ppl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/binutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/gcc-static.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mips64/gcc-static.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mips64/eglibc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mips64/eglibc-n32.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mips64/eglibc-64bit.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/gcc-final.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mips64/gcc-final.xml"/>
 
 </chapter>
Index: BOOK/cross-tools/mips64/gcc-final.xml
===================================================================
--- BOOK/cross-tools/mips64/gcc-final.xml	(revision 0f48af0b9a6b8ebb0a3971aa7789f42617fae9ea)
+++ BOOK/cross-tools/mips64/gcc-final.xml	(revision 0f48af0b9a6b8ebb0a3971aa7789f42617fae9ea)
@@ -0,0 +1,111 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-cross-tools-gcc-final" role="wrap">
+  <?dbhtml filename="gcc-final.html"?>
+
+  <title>Cross GCC-&gcc-version; - Final</title>
+
+  <indexterm zone="ch-cross-tools-gcc-final">
+    <primary sortas="a-GCC">GCC</primary>
+    <secondary>cross tools, final</secondary>
+  </indexterm>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+  href="../../final-system/common/gcc.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
+
+  <sect2 role="installation">
+    <title>Installation of GCC Cross Compiler</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="gcc-static.xml"
+    xpointer="xpointer(//*[@os='p1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="gcc-static.xml"
+    xpointer="xpointer(//*[@os='p2'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="gcc-static.xml"
+    xpointer="xpointer(//*[@os='aa'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="gcc-static.xml"
+    xpointer="xpointer(//*[@os='ab'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="gcc-static.xml"
+    xpointer="xpointer(//*[@os='f1'])"/>
+    
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="gcc-static.xml"
+    xpointer="xpointer(//*[@os='f2'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="gcc-static.xml"
+    xpointer="xpointer(//*[@os='ag'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="gcc-static.xml"
+    xpointer="xpointer(//*[@os='ah'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="gcc-static.xml"
+    xpointer="xpointer(//*[@os='ai'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="gcc-static.xml"
+    xpointer="xpointer(//*[@os='aj'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="gcc-static.xml"
+    xpointer="xpointer(//*[@os='f'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="gcc-static.xml"
+    xpointer="xpointer(//*[@os='g'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="gcc-static.xml"
+    xpointer="xpointer(//*[@os='h'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../multilib/gcc-final.xml"
+    xpointer="xpointer(//*[@os='bf'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc-final.xml"
+    xpointer="xpointer(//*[@os='bg'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc-final.xml"
+    xpointer="xpointer(//*[@os='bh'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc-final.xml"
+    xpointer="xpointer(//*[@os='bi'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc-final.xml"
+    xpointer="xpointer(//*[@os='bj'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc-final.xml"
+    xpointer="xpointer(//*[@os='bk'])"/>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title/>
+
+    <para>Details on this package are located in <xref
+    linkend="contents-gcc" role="."/></para>
+
+  </sect2>
+
+</sect1>
Index: BOOK/cross-tools/mips64/gcc-static.xml
===================================================================
--- BOOK/cross-tools/mips64/gcc-static.xml	(revision 0f48af0b9a6b8ebb0a3971aa7789f42617fae9ea)
+++ BOOK/cross-tools/mips64/gcc-static.xml	(revision 0f48af0b9a6b8ebb0a3971aa7789f42617fae9ea)
@@ -0,0 +1,120 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-cross-tools-gcc-static" role="wrap">
+  <?dbhtml filename="gcc-static.html"?>
+
+  <title>Cross GCC-&gcc-version; - Static</title>
+
+  <indexterm zone="ch-cross-tools-gcc-static">
+    <primary sortas="a-GCC">GCC</primary>
+    <secondary>cross tools, static</secondary>
+  </indexterm>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+  href="../../final-system/common/gcc.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
+
+  <sect2 role="installation">
+    <title>Installation of Cross GCC Compiler with Static libgcc
+    and no Threads</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc-static.xml"
+    xpointer="xpointer(//*[@os='p1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc-static.xml"
+    xpointer="xpointer(//*[@os='p2'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc-static.xml"
+    xpointer="xpointer(//*[@os='aa'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc-static.xml"
+    xpointer="xpointer(//*[@os='ab'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../mips/gcc-static.xml"
+    xpointer="xpointer(//*[@os='f1'])"/>
+    
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../mips/gcc-static.xml"
+    xpointer="xpointer(//*[@os='f2'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc-static.xml"
+    xpointer="xpointer(//*[@os='ag'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../ppc/gcc-static.xml"
+    xpointer="xpointer(//*[@os='ah'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc-static.xml"
+    xpointer="xpointer(//*[@os='ai'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc-static.xml"
+    xpointer="xpointer(//*[@os='aj'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc-static.xml"
+    xpointer="xpointer(//*[@os='t1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc-static.xml"
+    xpointer="xpointer(//*[@os='t2'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../../final-system/common/gcc.xml"
+    xpointer="xpointer(//*[@os='f'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../../final-system/common/gcc.xml"
+    xpointer="xpointer(//*[@os='g'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../../final-system/common/gcc.xml"
+    xpointer="xpointer(//*[@os='h'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../multilib/gcc-static.xml"
+    xpointer="xpointer(//*[@os='al'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc-static.xml"
+    xpointer="xpointer(//*[@os='am'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc-static.xml"
+    xpointer="xpointer(//*[@os='an'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc-static.xml"
+    xpointer="xpointer(//*[@os='ao'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc-static.xml"
+    xpointer="xpointer(//*[@os='ap'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc-static.xml"
+    xpointer="xpointer(//*[@os='aq'])"/>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title/>
+
+    <para>Details on this package are located in <xref
+    linkend="contents-gcc" role="."/></para>
+
+  </sect2>
+
+</sect1>
Index: BOOK/final-system/mips64-64-chapter.xml
===================================================================
--- BOOK/final-system/mips64-64-chapter.xml	(revision 9fb94bf3b4f92e0f7e2b89d270bb915d3b7c2e97)
+++ BOOK/final-system/mips64-64-chapter.xml	(revision 0f48af0b9a6b8ebb0a3971aa7789f42617fae9ea)
@@ -27,5 +27,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/zlib.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="64/binutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="64/gcc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mips64-64/gcc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/sed.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/ncurses.xml"/>
Index: BOOK/final-system/mips64-64/gcc.xml
===================================================================
--- BOOK/final-system/mips64-64/gcc.xml	(revision 0f48af0b9a6b8ebb0a3971aa7789f42617fae9ea)
+++ BOOK/final-system/mips64-64/gcc.xml	(revision 0f48af0b9a6b8ebb0a3971aa7789f42617fae9ea)
@@ -0,0 +1,137 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-system-gcc" role="wrap">
+  <?dbhtml filename="gcc.html"?>
+
+  <title>GCC-&gcc-version;</title>
+
+  <indexterm zone="ch-system-gcc">
+    <primary sortas="a-GCC">GCC</primary>
+  </indexterm>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+  href="../common/gcc.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
+
+  <sect2 role="installation">
+    <title>Installation of GCC</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='p1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='p2'])"/>
+
+
+    <para os="p5">Apply the following patch so that GCC links to
+    <filename class="directory">/lib</filename> instead of
+    <filename class="directory">/lib64</filename>:</para>
+
+<screen os="p6"><userinput>patch -Np1 -i ../&gcc-pure64-patch;</userinput></screen>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../../cross-tools/mips/gcc-static.xml"
+    xpointer="xpointer(//*[@os='f1'])"/>
+    
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../../cross-tools/mips/gcc-static.xml"
+    xpointer="xpointer(//*[@os='f2'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='d'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='e'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='f'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='g'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='h'])"/>
+
+   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='i'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='j'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='k'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='l'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='m'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='n'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='o'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='p'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='q'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='r'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='s'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='t'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='u'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='v'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='w'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='x'])"/>
+
+  </sect2>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+  href="../common/gcc.xml"
+  xpointer="xpointer(id('contents-gcc'))"/>
+
+</sect1>
Index: BOOK/final-system/mips64/gcc.xml
===================================================================
--- BOOK/final-system/mips64/gcc.xml	(revision 9fb94bf3b4f92e0f7e2b89d270bb915d3b7c2e97)
+++ BOOK/final-system/mips64/gcc.xml	(revision 0f48af0b9a6b8ebb0a3971aa7789f42617fae9ea)
@@ -29,4 +29,12 @@
     href="../common/gcc.xml"
     xpointer="xpointer(//*[@os='p2'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../../cross-tools/mips/gcc-static.xml"
+    xpointer="xpointer(//*[@os='f1'])"/>
+    
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../../cross-tools/mips/gcc-static.xml"
+    xpointer="xpointer(//*[@os='f2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/introduction/mips64-64/changelog.xml
===================================================================
--- BOOK/introduction/mips64-64/changelog.xml	(revision 9fb94bf3b4f92e0f7e2b89d270bb915d3b7c2e97)
+++ BOOK/introduction/mips64-64/changelog.xml	(revision 0f48af0b9a6b8ebb0a3971aa7789f42617fae9ea)
@@ -33,4 +33,13 @@
 
 -->
+
+    <listitem>
+      <para>July 13, 2011</para>
+      <itemizedlist>
+        <listitem>
+          <para>[Jonathan] - Added Mips-fix patch to resolve GCC segfault issue.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>
Index: BOOK/introduction/mips64/changelog.xml
===================================================================
--- BOOK/introduction/mips64/changelog.xml	(revision 9fb94bf3b4f92e0f7e2b89d270bb915d3b7c2e97)
+++ BOOK/introduction/mips64/changelog.xml	(revision 0f48af0b9a6b8ebb0a3971aa7789f42617fae9ea)
@@ -33,4 +33,14 @@
 
 -->
+
+    <listitem>
+      <para>July 13, 2011</para>
+      <itemizedlist>
+        <listitem>
+          <para>[Jonathan] - Added Mips-fix patch to resolve GCC segfault issue.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
 
     <listitem>
Index: BOOK/temp-system/mips64-64-chapter.xml
===================================================================
--- BOOK/temp-system/mips64-64-chapter.xml	(revision 9fb94bf3b4f92e0f7e2b89d270bb915d3b7c2e97)
+++ BOOK/temp-system/mips64-64-chapter.xml	(revision 0f48af0b9a6b8ebb0a3971aa7789f42617fae9ea)
@@ -21,5 +21,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="64/zlib.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="64/binutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="64/gcc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mips64-64/gcc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="64/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/bash.xml"/>
Index: BOOK/temp-system/mips64-64/gcc.xml
===================================================================
--- BOOK/temp-system/mips64-64/gcc.xml	(revision 0f48af0b9a6b8ebb0a3971aa7789f42617fae9ea)
+++ BOOK/temp-system/mips64-64/gcc.xml	(revision 0f48af0b9a6b8ebb0a3971aa7789f42617fae9ea)
@@ -0,0 +1,135 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-temp-system-gcc" role="wrap">
+  <?dbhtml filename="gcc.html"?>
+
+  <title>GCC-&gcc-version;</title>
+
+  <indexterm zone="ch-temp-system-gcc">
+    <primary sortas="a-GCC">GCC</primary>
+    <secondary>temporary system</secondary>
+  </indexterm>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+  href="../../final-system/common/gcc.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
+
+  <sect2 role="installation">
+    <title>Installation of GCC</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../../cross-tools/64/gcc-static.xml"
+    xpointer="xpointer(//*[@os='p1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../../cross-tools/64/gcc-static.xml"
+    xpointer="xpointer(//*[@os='p2'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../../cross-tools/64/gcc-static.xml"
+    xpointer="xpointer(//*[@os='aa'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../../cross-tools/64/gcc-static.xml"
+    xpointer="xpointer(//*[@os='ab'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../../cross-tools/mips/gcc-static.xml"
+    xpointer="xpointer(//*[@os='f1'])"/>
+    
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../../cross-tools/mips/gcc-static.xml"
+    xpointer="xpointer(//*[@os='f2'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../../cross-tools/64/gcc-static.xml"
+    xpointer="xpointer(//*[@os='ag'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../../cross-tools/64/gcc-static.xml"
+    xpointer="xpointer(//*[@os='ah'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='cf'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='cg'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../../final-system/common/gcc.xml"
+    xpointer="xpointer(//*[@os='f'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../../final-system/common/gcc.xml"
+    xpointer="xpointer(//*[@os='g'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='cj'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../../final-system/common/gcc.xml"
+    xpointer="xpointer(//*[@os='h'])"/>
+
+<screen os="ck"><userinput>CC="${CC} ${BUILD64}" CXX="${CXX} ${BUILD64}" \
+    ../gcc-&gcc-version;/configure --prefix=/tools --disable-multilib \
+    --build=${CLFS_HOST} --host=${CLFS_TARGET} --target=${CLFS_TARGET} \
+    --libexecdir=/tools/lib --with-local-prefix=/tools --enable-long-long \
+    --enable-c99 --enable-shared --enable-threads=posix --disable-nls \
+    --enable-__cxa_atexit --enable-languages=c,c++ --disable-libstdcxx-pch</userinput></screen>
+
+    <variablelist>
+      <title>The meaning of the new configure options:</title>
+
+      <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../multilib/gcc.xml"
+      xpointer="xpointer(//*[@os='dd1'])"/>
+
+      <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../common/gcc.xml"
+      xpointer="xpointer(//*[@os='cl1'])"/>
+
+    </variablelist>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='ts1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='ts2'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='cm'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='cn'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='co'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='cp'])"/>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title/>
+
+    <para>Details on this package are located in <xref
+    linkend="contents-gcc" role="."/></para>
+
+  </sect2>
+
+</sect1>
Index: BOOK/temp-system/mips64/gcc.xml
===================================================================
--- BOOK/temp-system/mips64/gcc.xml	(revision 9fb94bf3b4f92e0f7e2b89d270bb915d3b7c2e97)
+++ BOOK/temp-system/mips64/gcc.xml	(revision 0f48af0b9a6b8ebb0a3971aa7789f42617fae9ea)
@@ -38,4 +38,12 @@
     href="../../cross-tools/multilib/gcc-static.xml"
     xpointer="xpointer(//*[@os='ab'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../../cross-tools/mips/gcc-static.xml"
+    xpointer="xpointer(//*[@os='f1'])"/>
+    
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../../cross-tools/mips/gcc-static.xml"
+    xpointer="xpointer(//*[@os='f2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"