Index: udev/05-udev-early.rules
===================================================================
--- udev/05-udev-early.rules	(revision 96204b1e68f6d6dfe83247504010b1e70f7d554d)
+++ udev/05-udev-early.rules	(revision 1f7827a2ec32340fcf9a111a10674ca0f515c6b0)
@@ -17,6 +17,6 @@
 # sysfs is populated after the event is sent
 #
-ACTION=="add", DEVPATH=="/devices/*", ENV{PHYSDEVBUS}=="?*", WAIT_FOR_SYSFS="bus"
-ACTION=="add", SUBSYSTEM=="net", WAIT_FOR_SYSFS="address"
+ACTION=="add",	DEVPATH=="/devices/*", ENV{PHYSDEVBUS}=="?*", WAIT_FOR_SYSFS="bus"
+ACTION=="add",	SUBSYSTEM=="net", WAIT_FOR_SYSFS="address"
 
 # ignore these events until someone needs them
Index: udev/35-helper.rules
===================================================================
--- udev/35-helper.rules	(revision 1f7827a2ec32340fcf9a111a10674ca0f515c6b0)
+++ udev/35-helper.rules	(revision 1f7827a2ec32340fcf9a111a10674ca0f515c6b0)
@@ -0,0 +1,20 @@
+########################################################################
+#
+# Description : 35-helper.rules
+#
+# Authors     : Based on Open Suse Udev Rules
+#               kay.sievers@suse.de
+#
+# Adapted to  : Jim Gifford
+# LFS	      : Alexander E. Patrakov
+#
+# Version     : 00.01
+#
+# Notes       :
+#
+########################################################################
+
+# kernel firmware loader
+SUBSYSTEM=="firmware",	ACTION=="add", RUN+="firmware_helper"
+
+
Index: udev/40-modprobe.rules
===================================================================
--- udev/40-modprobe.rules	(revision 1f7827a2ec32340fcf9a111a10674ca0f515c6b0)
+++ udev/40-modprobe.rules	(revision 1f7827a2ec32340fcf9a111a10674ca0f515c6b0)
@@ -0,0 +1,28 @@
+########################################################################
+#
+# Description : 40-modprobe.rules
+#
+# Authors     : Based on Open Suse Udev Rules
+#               kay.sievers@suse.de
+#
+# Adapted to  : Jim Gifford
+# LFS	      : Alexander E. Patrakov 
+#
+# Version     : 00.01
+#
+# Notes       :
+#
+########################################################################
+
+# hotplug
+ENV{MODALIAS}=="?*",	RUN+="/sbin/modprobe $env{MODALIAS}"
+
+# scsi
+SUBSYSTEM=="scsi_device",	ACTION=="add", SYSFS{device/type}=="0|7|14", RUN+="/sbin/modprobe sd_mod"
+SUBSYSTEM=="scsi_device",	ACTION=="add", SYSFS{device/type}=="1", SYSFS{device/vendor}=="On[sS]tream", RUN+="/sbin/modprobe osst"
+SUBSYSTEM=="scsi_device",	ACTION=="add", SYSFS{device/type}=="1", RUN+="/sbin/modprobe st"
+SUBSYSTEM=="scsi_device",	ACTION=="add", SYSFS{device/type}=="[45]", RUN+="/sbin/modprobe sr_mod"
+SUBSYSTEM=="scsi_device",	ACTION=="add", RUN+="/sbin/modprobe sg"
+
+# floppy
+KERNEL=="nvram",		ACTION=="add", RUN+="load_floppy_module.sh"
Index: udev/50-udev.rules
===================================================================
--- udev/50-udev.rules	(revision 96204b1e68f6d6dfe83247504010b1e70f7d554d)
+++ udev/50-udev.rules	(revision 1f7827a2ec32340fcf9a111a10674ca0f515c6b0)
@@ -1,5 +1,5 @@
 ########################################################################
 #
-# Description : Base Udev Rules Set
+# Description : 50-udev.rules
 #
 # Authors     : Based on Open Suse Udev Rules
@@ -7,5 +7,5 @@
 #
 # Adapted to  : Jim Gifford
-# LFS
+# LFS	      : Alexander E. Patrakov
 #
 # Version     : 00.01
@@ -15,16 +15,12 @@
 ########################################################################
 
-# hotplug
-ENV{MODALIAS}=="?*",    RUN+="/sbin/modprobe $env{MODALIAS}"
-
 # console
-KERNEL=="pty[pqrstuvwxyzabcdef][0123456789abcdef]", NAME="%k", GROUP="tty", MODE="666", OPTIONS="last_rule"
-KERNEL=="tty[pqrstuvwxyzabcdef][0123456789abcdef]", NAME="%k", GROUP="tty", MODE="666", OPTIONS="last_rule"
-KERNEL=="vcs*",			NAME="%k", GROUP="tty", MODE="620", OPTIONS="last_rule"
-KERNEL=="vcsa*",		NAME="%k", GROUP="tty", MODE="620", OPTIONS="last_rule"
-KERNEL=="tty",			NAME="%k", GROUP="tty", MODE="666", OPTIONS="last_rule"
-KERNEL=="tty[0-9]*",		NAME="%k", GROUP="tty", MODE="620", OPTIONS="last_rule"
-KERNEL=="console",		NAME="%k", MODE="600", OPTIONS="last_rule"
-KERNEL=="ptmx",			NAME="%k", GROUP="tty", MODE="666", OPTIONS="last_rule"
+KERNEL=="pty[pqrstuvwxyzabcdef][0123456789abcdef]", 	NAME="%k", GROUP="tty", MODE="666", OPTIONS="last_rule"
+KERNEL=="tty[pqrstuvwxyzabcdef][0123456789abcdef]", 	NAME="%k", GROUP="tty", MODE="666", OPTIONS="last_rule"
+KERNEL=="vcs*",						NAME="%k", GROUP="tty", MODE="620", OPTIONS="last_rule"
+KERNEL=="tty",						NAME="%k", GROUP="tty", MODE="666", OPTIONS="last_rule"
+KERNEL=="tty[0-9]*",					NAME="%k", GROUP="tty", MODE="620", OPTIONS="last_rule"
+KERNEL=="console",					NAME="%k", MODE="600", OPTIONS="last_rule"
+KERNEL=="ptmx",						NAME="%k", GROUP="tty", MODE="666", OPTIONS="last_rule"
 
 # serial devices
@@ -36,5 +32,5 @@
 KERNEL=="hvsi*",		NAME="%k", GROUP="uucp"
 KERNEL=="iseries/vtty*",	NAME="%k", GROUP="uucp"
-KERNEL=="ttyUSB*", SYSFS{product}=="[Pp]alm*Handheld*", SYMLINK+="pilot"
+KERNEL=="ttyUSB*", 		SYSFS{product}=="[Pp]alm*Handheld*", SYMLINK+="pilot"
 
 # video/graphics
@@ -46,5 +42,4 @@
 KERNEL=="vttuner*",		NAME="%k", GROUP="video"
 KERNEL=="nvidia*",		NAME="%k", GROUP="video"
-KERNEL=="nvidiactl*",		NAME="%k", GROUP="video"
 KERNEL=="video0",		SYMLINK+="video"
 KERNEL=="radio0",		SYMLINK+="radio"
@@ -63,5 +58,5 @@
 KERNEL=="uinput",		NAME="input/%k", MODE="0600"
 KERNEL=="lirc0",		NAME="%k", SYMLINK+="lirc"
-KERNEL=="input[0-9]*", ACTION=="add", RUN+="input.sh"
+KERNEL=="input[0-9]*", 		ACTION=="add", RUN+="input.sh"
 
 # printer
@@ -82,13 +77,16 @@
 # 183 = /dev/hwrng        Generic random number generator
 KERNEL=="hw_random",		NAME="hwrng", SYMLINK+="%k"
+
 # 219 /dev/modems/mwave MWave modem firmware upload
 KERNEL=="mwave",		NAME="modems/%k"
+
 # 169 /dev/specialix_rioctl Specialix RIO serial control
 KERNEL=="rioctl",		NAME="specialix_rioctl", SYMLINK+="%k"
+
 # 167 /dev/specialix_sxctl Specialix serial control
 KERNEL=="sxctl",		NAME="specialix_sxctl", SYMLINK+="%k"
 
 # network
-KERNEL=="tun", NAME="net/%k", MODE="0600"
+KERNEL=="tun",			NAME="net/%k", MODE="0600"
 
 # misc devices
@@ -123,48 +121,39 @@
 
 # fix floppy devices
-KERNEL=="nvram", ACTION=="add", RUN+="load_floppy_module.sh"
-KERNEL=="fd[0-9]*", ACTION=="add", SYSFS{device/cmos}=="*", RUN+="create_floppy_devices -c -t $sysfs{device/cmos} -m %M /dev/%k"
-KERNEL=="fd[0-9]*", ACTION=="remove", RUN+="/bin/rm -f $root/%k*"
+KERNEL=="fd[0-9]*", 		ACTION=="add", SYSFS{device/cmos}=="*", RUN+="create_floppy_devices -c -t $sysfs{device/cmos} -m %M /dev/%k"
+KERNEL=="fd[0-9]*", 		ACTION=="remove", RUN+="/bin/rm -f $root/%k*"
 
 # block devices
-SUBSYSTEM=="block", GROUP="disk", MODE="0640"
+SUBSYSTEM=="block", 		GROUP="disk", MODE="0640"
 
 # sd:		0 TYPE_DISK, 7 TYPE_MOD, 14 TYPE_RBC
 # sr:		4 TYPE_WORM, 5 TYPE_ROM
 # st/osst:	1 TYPE_TAPE
-ACTION=="add", SUBSYSTEM="scsi" , SYSFS{type}=="0|7|14", RUN+="/bin/sh -c 'echo 60 > /sys/$DEVPATH/timeout'"
-ACTION=="add", SUBSYSTEM="scsi" , SYSFS{type}=="1", RUN+="/bin/sh -c 'echo 900 > /sys/$DEVPATH/timeout'"
-SUBSYSTEM=="scsi_device", ACTION=="add", SYSFS{device/type}=="0|7|14", RUN+="/sbin/modprobe sd_mod"
-SUBSYSTEM=="scsi_device", ACTION=="add", SYSFS{device/type}=="1", SYSFS{device/vendor}=="On[sS]tream", RUN+="/sbin/modprobe osst"
-SUBSYSTEM=="scsi_device", ACTION=="add", SYSFS{device/type}=="1", RUN+="/sbin/modprobe st"
-SUBSYSTEM=="scsi_device", ACTION=="add", SYSFS{device/type}=="[45]", RUN+="/sbin/modprobe sr_mod"
-SUBSYSTEM=="scsi_device", ACTION=="add", RUN+="/sbin/modprobe sg"
-
-# load IDE modules
-SUBSYSTEM=="ide", ACTION=="add", RUN+="ide.sh"
+ACTION=="add", 			SUBSYSTEM="scsi" , SYSFS{type}=="0|7|14", RUN+="/bin/sh -c 'echo 60 > /sys/$DEVPATH/timeout'"
+ACTION=="add", 			SUBSYSTEM="scsi" , SYSFS{type}=="1", RUN+="/bin/sh -c 'echo 900 > /sys/$DEVPATH/timeout'"
 
 # device mapper
-KERNEL=="device-mapper", NAME="%k", SYMLINK+="mapper/control"
+KERNEL=="device-mapper", 	NAME="%k", SYMLINK+="mapper/control"
 
 # misc storage devices (non-block)
 KERNEL=="sg*",			NAME="%k", GROUP="disk", MODE="640"
-KERNEL=="st*",			NAME="%k", GROUP="disk"
-KERNEL=="nst*",			NAME="%k", GROUP="disk"
+KERNEL=="st*",			NAME="%k", GROUP="tape"
+KERNEL=="nst*",			NAME="%k", GROUP="tape"
 KERNEL=="initrd",		NAME="%k", GROUP="disk"
-KERNEL=="qft*",			NAME="%k", GROUP="disk"
-KERNEL=="nqft*",		NAME="%k", GROUP="disk"
-KERNEL=="zqft*",		NAME="%k", GROUP="disk"
-KERNEL=="nzqft*",		NAME="%k", GROUP="disk"
-KERNEL=="rawqft*",		NAME="%k", GROUP="disk"
-KERNEL=="nrawqft*",		NAME="%k", GROUP="disk"
+KERNEL=="qft*",			NAME="%k", GROUP="tape"
+KERNEL=="nqft*",		NAME="%k", GROUP="tape"
+KERNEL=="zqft*",		NAME="%k", GROUP="tape"
+KERNEL=="nzqft*",		NAME="%k", GROUP="tape"
+KERNEL=="rawqft*",		NAME="%k", GROUP="tape"
+KERNEL=="nrawqft*",		NAME="%k", GROUP="tape"
 KERNEL=="pf*",			NAME="%k", GROUP="disk"
 KERNEL=="sch*",			NAME="%k", GROUP="disk"
-KERNEL=="pt*",			NAME="%k", GROUP="disk"
-KERNEL=="npt*",			NAME="%k", GROUP="disk"
+KERNEL=="pt*",			NAME="%k", GROUP="tape"
+KERNEL=="npt*",			NAME="%k", GROUP="tape"
 KERNEL=="pg*",			NAME="%k", GROUP="disk"
 KERNEL=="evms/block_device*",	NAME="%k", GROUP="disk"
 KERNEL=="rawctl*",		NAME="%k", GROUP="disk"
-KERNEL=="osst*",		NAME="%k", GROUP="disk"
-KERNEL=="nosst*",		NAME="%k", GROUP="disk"
+KERNEL=="osst*",		NAME="%k", GROUP="tape"
+KERNEL=="nosst*",		NAME="%k", GROUP="tape"
 KERNEL=="iseries/vt*",		NAME="%k", GROUP="disk"
 KERNEL=="iseries/nvt*",		NAME="%k", GROUP="disk"
@@ -172,6 +161,3 @@
 
 # libusb device access
-SUBSYSTEM=="usb_device", PROGRAM="/bin/sh -c 'K=%k; K=$${K#usbdev}; printf bus/usb/%%03i/%%03i $${K%%%%.*} $${K#*.}'", NAME="%c", MODE="0644"
-
-# kernel firmware loader
-SUBSYSTEM=="firmware", ACTION=="add", RUN+="firmware_helper"
+SUBSYSTEM=="usb_device", 	PROGRAM="/bin/sh -c 'K=%k; K=$${K#usbdev}; printf bus/usb/%%03i/%%03i $${K%%%%.*} $${K#*.}'", NAME="%c", MODE="0644"
Index: udev/55-sound.rules
===================================================================
--- udev/55-sound.rules	(revision 1f7827a2ec32340fcf9a111a10674ca0f515c6b0)
+++ udev/55-sound.rules	(revision 1f7827a2ec32340fcf9a111a10674ca0f515c6b0)
@@ -0,0 +1,34 @@
+########################################################################
+#
+# Description : 55-sound.rules
+#
+# Authors     : Alexander E. Patrakov 
+#
+# Version     : 00.01
+#
+# Notes       :
+#
+########################################################################
+
+# ALSA
+KERNEL=="controlC[0-9]*",		NAME="snd/%k", GROUP="audio"
+KERNEL=="hw[CD0-9]*",			NAME="snd/%k", GROUP="audio"
+KERNEL=="pcm[CD0-9cp]*",  		NAME="snd/%k", GROUP="audio"
+KERNEL=="midiC[D0-9]*",	 		NAME="snd/%k", GROUP="audio"
+KERNEL=="timer",			NAME="snd/%k", GROUP="audio"
+KERNEL=="seq",				NAME="snd/%k", GROUP="audio
+
+# Sound devices
+KERNEL=="admmidi*",			GROUP="audio"
+KERNEL=="adsp*",			GROUP="audio"
+KERNEL=="aload*",			GROUP="audio"
+KERNEL=="amidi*",			GROUP="audio"
+KERNEL=="amixer*",			GROUP="audio"
+KERNEL=="audio*",			GROUP="audio"
+KERNEL=="dmfm*",			GROUP="audio"
+KERNEL=="dmmidi*",			GROUP="audio"
+KERNEL=="dsp*",				GROUP="audio"
+KERNEL=="midi*",			GROUP="audio"
+KERNEL=="mixer*",			GROUP="audio"
+KERNEL=="music",			GROUP="audio"
+KERNEL=="sequencer*",			GROUP="audio"
Index: udev/60-persistent.rules
===================================================================
--- udev/60-persistent.rules	(revision 96204b1e68f6d6dfe83247504010b1e70f7d554d)
+++ udev/60-persistent.rules	(revision 1f7827a2ec32340fcf9a111a10674ca0f515c6b0)
@@ -1,5 +1,5 @@
 ########################################################################
 #
-# Description : Persistent Rules
+# Description : 60-persistent.rules
 #
 # Authors     : Based on Open Suse Udev Rules
@@ -18,47 +18,47 @@
 # scheme based on "Linux persistent device names", 2004, Hannes Reinecke <hare@suse.de>
 
-ACTION!="add", GOTO="persistent_end"
-SUBSYSTEM!="block", GOTO="persistent_end"
+ACTION!="add",		GOTO="persistent_end"
+SUBSYSTEM!="block",	GOTO="persistent_end"
 
 # skip rules for inappropriate block devices
-KERNEL=="ram*|loop*|fd*|nbd*", GOTO="persistent_end"
+KERNEL=="ram*|loop*|fd*|nbd*",	GOTO="persistent_end"
 
 # never access removable ide devices, the drivers are causing event loops on open()
-BUS=="ide", DRIVER!="ide-cdrom", SYSFS{removable}="1", GOTO="persistent_end"
+BUS=="ide",	DRIVER!="ide-cdrom", SYSFS{removable}="1", GOTO="persistent_end"
 
 # by-id (hardware serial number)
-KERNEL=="hd*[!0-9]", IMPORT{program}="/sbin/ata_id --export $tempnode"
-KERNEL=="hd*[!0-9]", ENV{ID_SERIAL}=="?*", SYMLINK+="disk/by-id/ata-$env{ID_MODEL}_$env{ID_SERIAL}"
-KERNEL=="hd*[0-9]", IMPORT{parent}=="ID_*", SYMLINK+="disk/by-id/ata-$env{ID_MODEL}_$env{ID_SERIAL}-part%n"
+KERNEL=="hd*[!0-9]",	IMPORT{program}="/sbin/ata_id --export $tempnode"
+KERNEL=="hd*[!0-9]",	ENV{ID_SERIAL}=="?*", SYMLINK+="disk/by-id/ata-$env{ID_MODEL}_$env{ID_SERIAL}"
+KERNEL=="hd*[0-9]",	IMPORT{parent}=="ID_*", SYMLINK+="disk/by-id/ata-$env{ID_MODEL}_$env{ID_SERIAL}-part%n"
 
-KERNEL=="sd*[!0-9]|sr*", SYSFS{ieee1394_id}=="*", ENV{ID_SERIAL}="$sysfs{ieee1394_id}", ENV{ID_BUS}="ieee1394"
-KERNEL=="sd*[!0-9]|sr*", ENV{ID_SERIAL}=="", IMPORT{program}="/sbin/usb_id -x"
-KERNEL=="sd*[!0-9]|sr*", ENV{ID_SERIAL}=="", IMPORT{program}="/sbin/scsi_id -g -x -s %p -d $tempnode"
-KERNEL=="sd*[!0-9]|sr*", ENV{ID_SERIAL}=="", IMPORT{program}="/sbin/scsi_id -g -x -a -s %p -d $tempnode"
-KERNEL=="dasd*[!0-9]", IMPORT{program}="/sbin/dasd_id --export $tempnode"
-KERNEL=="sd*[!0-9]|sr*|dasd*[!0-9]", ENV{ID_SERIAL}=="?*", SYMLINK+="disk/by-id/$env{ID_BUS}-$env{ID_SERIAL}"
+KERNEL=="sd*[!0-9]|sr*",		SYSFS{ieee1394_id}=="*", ENV{ID_SERIAL}="$sysfs{ieee1394_id}", ENV{ID_BUS}="ieee1394"
+KERNEL=="sd*[!0-9]|sr*",		ENV{ID_SERIAL}=="", IMPORT{program}="/sbin/usb_id -x"
+KERNEL=="sd*[!0-9]|sr*",		ENV{ID_SERIAL}=="", IMPORT{program}="/sbin/scsi_id -g -x -s %p -d $tempnode"
+KERNEL=="sd*[!0-9]|sr*",		ENV{ID_SERIAL}=="", IMPORT{program}="/sbin/scsi_id -g -x -a -s %p -d $tempnode"
+KERNEL=="dasd*[!0-9]",			IMPORT{program}="/sbin/dasd_id --export $tempnode"
+KERNEL=="sd*[!0-9]|sr*|dasd*[!0-9]",	ENV{ID_SERIAL}=="?*", SYMLINK+="disk/by-id/$env{ID_BUS}-$env{ID_SERIAL}"
 
 # for partitions import parent information
-KERNEL=="sd*[0-9]|dasd*[0-9]", IMPORT{parent}=="ID_*"
-KERNEL=="sd*[0-9]|dasd*[0-9]", ENV{ID_SERIAL}=="?*", SYMLINK+="disk/by-id/$env{ID_BUS}-$env{ID_SERIAL}-part%n"
+KERNEL=="sd*[0-9]|dasd*[0-9]",	IMPORT{parent}=="ID_*"
+KERNEL=="sd*[0-9]|dasd*[0-9]",	ENV{ID_SERIAL}=="?*", SYMLINK+="disk/by-id/$env{ID_BUS}-$env{ID_SERIAL}-part%n"
 
 # by-path (shortest physical path)
-KERNEL=="*[!0-9]|sr*", ENV{ID_TYPE}=="?*", IMPORT{program}="/sbin/path_id %p", SYMLINK+="disk/by-path/$env{ID_PATH}"
-KERNEL=="sr*", GOTO="persistent_end"
-KERNEL=="*[0-9]", IMPORT{parent}=="ID_*"
-KERNEL=="*[0-9]", ENV{ID_PATH}=="?*", SYMLINK+="disk/by-path/$env{ID_PATH}-part%n"
+KERNEL=="*[!0-9]|sr*",	ENV{ID_TYPE}=="?*", IMPORT{program}="/sbin/path_id %p", SYMLINK+="disk/by-path/$env{ID_PATH}"
+KERNEL=="sr*",		GOTO="persistent_end"
+KERNEL=="*[0-9]",	IMPORT{parent}=="ID_*"
+KERNEL=="*[0-9]",	ENV{ID_PATH}=="?*", SYMLINK+="disk/by-path/$env{ID_PATH}-part%n"
 
 # by-label/by-uuid (filesystem properties)
-KERNEL=="*[!0-9]", SYSFS{removable}=="1", GOTO="persistent_end"
+KERNEL=="*[!0-9]",		SYSFS{removable}=="1", GOTO="persistent_end"
 IMPORT{program}="/sbin/vol_id --export $tempnode"
-ENV{ID_FS_UUID}=="?*", SYMLINK+="disk/by-uuid/$env{ID_FS_UUID}"
-ENV{ID_FS_LABEL_SAFE}=="?*", SYMLINK+="disk/by-label/$env{ID_FS_LABEL_SAFE}"
+ENV{ID_FS_UUID}=="?*",		SYMLINK+="disk/by-uuid/$env{ID_FS_UUID}"
+ENV{ID_FS_LABEL_SAFE}=="?*",	SYMLINK+="disk/by-label/$env{ID_FS_LABEL_SAFE}"
 
 # BIOS Enhanced Disk Device
-KERNEL=="*[!0-9]", IMPORT{program}="/sbin/edd_id --export $tempnode"
-KERNEL=="*[!0-9]", ENV{ID_EDD}=="?*", SYMLINK+="disk/by-id/edd-$env{ID_EDD}"
-KERNEL=="*[0-9]", ENV{ID_EDD}=="?*", SYMLINK+="disk/by-id/edd-$env{ID_EDD}-part%n"
+KERNEL=="*[!0-9]",	IMPORT{program}="/sbin/edd_id --export $tempnode"
+KERNEL=="*[!0-9]",	ENV{ID_EDD}=="?*", SYMLINK+="disk/by-id/edd-$env{ID_EDD}"
+KERNEL=="*[0-9]",	ENV{ID_EDD}=="?*", SYMLINK+="disk/by-id/edd-$env{ID_EDD}-part%n"
 
-KERNEL=="dm-[0-9]*", ACTION=="add", PROGRAM="/sbin/dmsetup info -c --noopencount --noheadings -o name -j %M -m %m", SYMLINK="disk/by-name/%c"
+KERNEL=="dm-[0-9]*",	ACTION=="add", PROGRAM="/sbin/dmsetup info -c --noopencount --noheadings -o name -j %M -m %m", SYMLINK="disk/by-name/%c"
 
 LABEL="persistent_end"
Index: udev/85-mount-fstab.rules
===================================================================
--- udev/85-mount-fstab.rules	(revision 96204b1e68f6d6dfe83247504010b1e70f7d554d)
+++ udev/85-mount-fstab.rules	(revision 1f7827a2ec32340fcf9a111a10674ca0f515c6b0)
@@ -1,5 +1,5 @@
 ########################################################################
 #
-# Description : Sysconfig Rules Set
+# Description : 85-mount-fstab.rules
 #
 # Authors     : Based on Open Suse Udev Rules
@@ -15,3 +15,3 @@
 ########################################################################
 
-SUBSYSTEM=="block", ACTION=="add", KERNEL=="sd*[0-9]|hd*[0-9]", RUN+="mount.sh"
+SUBSYSTEM=="block",	ACTION=="add", KERNEL=="sd*[0-9]|hd*[0-9]", RUN+="mount.sh"
Index: udev/95-debug.rules
===================================================================
--- udev/95-debug.rules	(revision 96204b1e68f6d6dfe83247504010b1e70f7d554d)
+++ udev/95-debug.rules	(revision 1f7827a2ec32340fcf9a111a10674ca0f515c6b0)
@@ -1,5 +1,5 @@
 ########################################################################
 #
-# Description : Debug Rules Set
+# Description : 95-debug.rules
 #
 # Authors     : Based on Open Suse Udev Rules
Index: udev/Makefile
===================================================================
--- udev/Makefile	(revision 96204b1e68f6d6dfe83247504010b1e70f7d554d)
+++ udev/Makefile	(revision 1f7827a2ec32340fcf9a111a10674ca0f515c6b0)
@@ -7,9 +7,12 @@
 all: install
 
-install: device_dirs device_links rules scripts boot
+install: device_dirs device_links rules scripts boot mknod_devices
 
 rules:
 	install -m ${RULESMODE} 05-udev-early.rules ${DESTDIR}/etc/udev/rules.d/05-udev-early.rules
+	install -m ${RULESMODE} 35-helper.rules ${DESTDIR}/etc/udev/rules.d/35-helper.rules
+	install -m ${RULESMODE} 40-modprobe.rules ${DESTDIR}/etc/udev/rules.d/40-modprobe.rules
 	install -m ${RULESMODE} 50-udev.rules ${DESTDIR}/etc/udev/rules.d/50-udev.rules
+	install -m ${RULESMODE} 55-sound.rules ${DESTDIR}/etc/udev/rules.d/55-sound.rules
 	install -m ${RULESMODE} 60-persistent.rules ${DESTDIR}/etc/udev/rules.d/60-persistent.rules
 	install -m ${RULESMODE} 85-mount-fstab.rules ${DESTDIR}/etc/udev/rules.d/85-mount-fstab.rules
@@ -21,5 +24,4 @@
 	install -m ${SCRIPTMODE} input.sh ${DESTDIR}/lib/udev/input.sh
 	install -m ${SCRIPTMODE} mount.sh ${DESTDIR}/lib/udev/mount.sh
-	install -m ${SCRIPTMODE} udev.count_events ${DESTDIR}/usr/bin/udev.count_events
 
 boot:
@@ -27,12 +29,9 @@
 	install -d ${DESTDIR}/etc/rc.d/rcsysinit.d
 	install -d ${DESTDIR}/etc/rc.d/init.d
-	install -d ${DESTDIR}/var/adm/fillup-templates
 	install -m ${INITMODE} udev ${DESTDIR}/etc/rc.d/init.d/udev
 	install -m ${INITMODE} udev_retry ${DESTDIR}/etc/rc.d/init.d/udev_retry
-	install -d ${DESTDIR}/var/adm/fillup-templates
-	install -m ${CONFMODE} sysconfig.storage ${DESTDIR}/var/adm/fillup-templates/sysconfig.storage
 	install -m ${SCRIPTMODE} show_event_log ${DESTDIR}/usr/share/udev/show_event_log
 	ln -sf ../init.d/udev ${DESTDIR}/etc/rc.d/rcsysinit.d/S10udev
-	ln -sf ../init.d/udev_retry ${DESTDIR}/etc/rc.d/rcsysinit.d/S15udev_retry
+	ln -sf ../init.d/udev_retry ${DESTDIR}/etc/rc.d/rcsysinit.d/S45udev_retry
 
 device_dirs:
@@ -49,3 +48,17 @@
 	ln -snf /proc/kcore ${DESTDIR}/lib/udev/devices/core
 
-.PHONY: all install device_dirs device_links rules scripts boot
+mknod_devices:
+	@echo ""
+	@echo "This step will fail if your not installing as the root user"
+	@echo "If it does, you will need to create these devices manually."
+	@echo "If you get a message saying 'File exists', you can safely"
+	@echo "Ignore this step."
+	@echo ""
+	@echo "Here are the commands for you to run as the root user."
+	@echo ""
+	@echo "mknod -m 0666 ${DESTDIR}/lib/udev/devices/null c 1 3"
+	@echo "mknod -m 0600 ${DESTDIR}/lib/udev/devices/console c 5 1"
+	@mknod -m 0666 ${DESTDIR}/lib/udev/devices/null c 1 3
+	@mknod -m 0600 ${DESTDIR}/lib/udev/devices/console c 5 1
+
+.PHONY: all install device_dirs device_links rules scripts boot mknod_devices
Index: ev/ide.sh
===================================================================
--- udev/ide.sh	(revision 96204b1e68f6d6dfe83247504010b1e70f7d554d)
+++ 	(revision )
@@ -1,51 +1,0 @@
-#!/bin/sh
-########################################################################
-#
-# Description : Load ide
-#
-# Authors     : Based on Open Suse Udev Rules
-#               kay.sievers@suse.de
-#
-# Adapted to  : Jim Gifford
-# LFS
-#
-# Version     : 00.00
-#
-# Notes       :
-#
-########################################################################
-
-# calculate device name from bus and drive number
-device=${DEVPATH#/devices/*/ide?/}
-drive=${device#?.}
-bus=${device%.?}
-unitnum=$((96 + 1 + $drive + $bus * 2))
-name=$(printf "hd\\$(printf '%o' $unitnum)")
-procfile="/proc/ide/$name/media"
-
-# wait for /proc file to appear
-loop=30
-while ! test -e $procfile; do
-    sleep 0.1;
-    test "$loop" -gt 0 || break
-    loop=$(($loop - 1))
-done
-
-read media < $procfile
-case "$media" in
-    cdrom)
-	/sbin/modprobe ide-cd
-	;;
-    disk)
-	/sbin/modprobe ide-disk
-	;;
-    floppy)
-	/sbin/modprobe ide-floppy
-	;;
-    tape)
-	/sbin/modprobe ide-tape
-	;;
-    *)
-	/sbin/modprobe ide-generic
-	;;
-esac
Index: udev/mount.sh
===================================================================
--- udev/mount.sh	(revision 96204b1e68f6d6dfe83247504010b1e70f7d554d)
+++ udev/mount.sh	(revision 1f7827a2ec32340fcf9a111a10674ca0f515c6b0)
@@ -2,5 +2,5 @@
 ########################################################################
 #
-# Description : Input devices
+# Description : Mount devices
 #
 # Authors     : Based on Open Suse Udev Rules
@@ -35,5 +35,5 @@
 	NODES="$NODES /dev/$sl"
 done
-boot_mesg "Avilable nodes: $NODES"
+boot_mesg "Available nodes: $NODES"
 
 NODE=
Index: ev/sysconfig.storage
===================================================================
--- udev/sysconfig.storage	(revision 96204b1e68f6d6dfe83247504010b1e70f7d554d)
+++ 	(revision )
@@ -1,22 +1,0 @@
-## Path:           Hardware/Storage
-## Description:    Common storage device options
-
-## Type:           yesno
-## Default:        yes
-#
-# Should we mount hotplugged system storage devices automatically?
-# This requires a fstab line with mount option 'hotplug'. See README.Hotplug in
-# /usr/share/doc/packages/udev for details.
-# WARNING: You have to unmount these devices manually before you unplug them!!!
-#
-HOTPLUG_MOUNT_FSTAB=yes
-
-## Type:           yesno
-## Default:        yes
-# Should we check hotplugged system storage devices before we mount them?
-# If set to yes, you may control this individually in the sixth field in
-# /etc/fstab as usual. Watch /var/log/messages for errors and warnings. See
-# README.Hotplug in # /usr/share/doc/packages/udev for details.
-#
-HOTPLUG_CHECK_FILESYSTEMS=yes
-
Index: udev/udev
===================================================================
--- udev/udev	(revision 96204b1e68f6d6dfe83247504010b1e70f7d554d)
+++ udev/udev	(revision 1f7827a2ec32340fcf9a111a10674ca0f515c6b0)
@@ -9,5 +9,5 @@
 #
 # Adapted to  : Jim Gifford
-# LFS
+# LFS	      : Alexander E. Patrakov
 #
 # Version     : 00.00
@@ -62,18 +62,13 @@
 	evaluate_retval
 
-	boot_mesg "Executing udevstart..."
-	udevstart
-	evaluate_retval
-
 	# disable hotplug helper, udevd listens to netlink
+	if [ `cat /proc/sys/kernel/hotplug` ] ; then
 	echo "" > /proc/sys/kernel/hotplug
+	fi
 
 	# start udevd
 	boot_mesg "Starting udevd..."
-	loadproc /sbin/udevd --daemon
-
-	# cleanup some stuff
-	rm -f /var/run/sysconfig/network
-	rm -rf /events/*
+	/sbin/udevd --daemon
+	evaluate_retval
 
 	# start coldplugging
Index: ev/udev.count_events
===================================================================
--- udev/udev.count_events	(revision 96204b1e68f6d6dfe83247504010b1e70f7d554d)
+++ 	(revision )
@@ -1,24 +1,0 @@
-#!/bin/sh
-########################################################################
-#
-# Description : udev.count_events
-#
-# Authors     : Based on Open Suse Udev Rules
-#               kay.sievers@suse.de
-#
-# Adapted to  : Jim Gifford
-# LFS
-#
-# Version     : 00.00
-#
-# Notes       : Wait for all current udev events to finish
-#
-########################################################################
-
-loop=100
-while test -d /dev/.udev/queue; do
-    sleep 0.1;
-    test "$loop" -gt 0 || exit 1
-    loop=$(($loop - 1))
-done
-exit 0
Index: udev/udev.makechanges
===================================================================
--- udev/udev.makechanges	(revision 96204b1e68f6d6dfe83247504010b1e70f7d554d)
+++ udev/udev.makechanges	(revision 1f7827a2ec32340fcf9a111a10674ca0f515c6b0)
@@ -7,5 +7,5 @@
 make it work. I used
 
-http://www.kernel.org/pub/linux/kernel/people/gregkh/gregkh-2.6/gregkh-all-2.6.15.patch
+http://www.kernel.org/pub/linux/kernel/people/gregkh/gregkh-2.6/old/gregkh-all-2.6.15.patch
 
 Second, you will need to use udev 079, here is the build instructions