Index: BOOK/final-system/common/binutils.xml
===================================================================
--- BOOK/final-system/common/binutils.xml	(revision f74335ee354c5944df2fc9575e8a8edc51ca3ee1)
+++ BOOK/final-system/common/binutils.xml	(revision 2b220db9ba518c4dbd4ceb706eac2bf03d42e677)
@@ -120,5 +120,6 @@
 
       <seglistitem>
-        <seg>addr2line, ar, as, c++filt, gprof, ld, nm, objcopy, objdump,
+        <seg>addr2line, ar, as, c++filt, elfedit, gprof, ld, ld.bfd, nm, objcopy,
+        objdump,
         ranlib, readelf, size, strings, and strip</seg>
         <seg>libiberty.a, libbfd.[a,so], and libopcodes.[a,so]</seg>
@@ -177,4 +178,14 @@
       </varlistentry>
 
+      <varlistentry id="elfedit">
+        <term><command>elfedit</command></term>
+        <listitem>
+          <para>Updates the ELF header of ELF files</para>
+          <indexterm zone="ch-system-binutils elfedit">
+            <primary sortas="b-elfedit">elfedit</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="gprof">
         <term><command>gprof</command></term>
@@ -195,4 +206,14 @@
           <indexterm zone="ch-system-binutils ld">
             <primary sortas="b-ld">ld</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="ld.bfd">
+        <term><command>ld.bfd</command></term>
+        <listitem>
+          <para>Hard link to <command>ld</command></para>
+          <indexterm zone="ch-system-binutils ld.bfd">
+            <primary sortas="b-ld.bfd">ld.bfd</primary>
           </indexterm>
         </listitem>
Index: BOOK/final-system/common/cloog.xml
===================================================================
--- BOOK/final-system/common/cloog.xml	(revision f74335ee354c5944df2fc9575e8a8edc51ca3ee1)
+++ BOOK/final-system/common/cloog.xml	(revision 2b220db9ba518c4dbd4ceb706eac2bf03d42e677)
@@ -57,12 +57,12 @@
 
     <segmentedlist>
-      <segtitle>Installed programs</segtitle>
+      <segtitle>Installed program</segtitle>
       <segtitle>Installed libraries</segtitle>
-      <segtitle>Installed directory</segtitle>
+      <segtitle>Installed directories</segtitle>
 
       <seglistitem>
         <seg>cloog</seg>
-        <seg>libcloog.[a,so]</seg>
-        <seg>/usr/include/cloog</seg>
+        <seg>libcloog-isl.[a,so], libisl.[a,so]</seg>
+        <seg>/usr/include/cloog, /usr/include/isl</seg>
       </seglistitem>
     </segmentedlist>
@@ -83,10 +83,20 @@
       </varlistentry>
 
-      <varlistentry id="libcloog">
-        <term><filename class="libraryfile">libcloog</filename></term>
+      <varlistentry id="libcloog-isl">
+        <term><filename class="libraryfile">libcloog-isl</filename></term>
         <listitem>
-          <para>The Chunky Loop Generator.</para>
-          <indexterm zone="ch-system-cloog libcloog">
-            <primary sortas="c-libcloog">libcloog</primary>
+          <para>Isl backend for CLooG.</para>
+          <indexterm zone="ch-system-cloog libcloog-isl">
+            <primary sortas="c-libcloog-isl">libcloog-isl</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libisl">
+        <term><filename class="libraryfile">libisl</filename></term>
+        <listitem>
+          <para>The Integer Set Library.</para>
+          <indexterm zone="ch-system-cloog libisl">
+            <primary sortas="c-libisl">libisl</primary>
           </indexterm>
         </listitem>
Index: BOOK/final-system/common/coreutils.xml
===================================================================
--- BOOK/final-system/common/coreutils.xml	(revision f74335ee354c5944df2fc9575e8a8edc51ca3ee1)
+++ BOOK/final-system/common/coreutils.xml	(revision 2b220db9ba518c4dbd4ceb706eac2bf03d42e677)
@@ -127,10 +127,10 @@
         echo, env, expand, expr, factor, false, fmt, fold, groups, head,
         hostid, hostname, id, install, join, link, ln, logname, ls, md5sum,
-        mkdir, mkfifo, mknod, mktemp, mv, nice, nl, nohup, od, paste, pathchk,
-        pinky, pr, printenv, printf, ptx, pwd, readlink, rm, rmdir, runcon, seq,
-        sha1sum, sha224sum, sha256sum, sha384sum, sha512sum, shred, shuf,
-        sleep, sort, split, stat, stdbuf, stty, sum, sync, tac, tail, tee, test,
-        timeout, touch, tr, true, truncate, tsort, tty, uname, unexpand, uniq,
-        unlink, users, vdir, wc, who, whoami, and yes</seg>
+        mkdir, mkfifo, mknod, mktemp, mv, nice, nl, nohup, nproc, od, paste,
+        pathchk, pinky, pr, printenv, printf, ptx, pwd, readlink, realpath, rm,
+        rmdir, runcon, seq, sha1sum, sha224sum, sha256sum, sha384sum,
+        sha512sum, shred, shuf, sleep, sort, split, stat, stdbuf, stty, sum,
+        sync, tac, tail, tee, test, timeout, touch, tr, true, truncate, tsort,
+        tty, uname, unexpand, uniq, unlink, users, vdir, wc, who, whoami, and yes</seg>
         <seg>libstdbuf.so</seg>
         <seg>/usr/lib/coreutils</seg>
@@ -650,4 +650,15 @@
       </varlistentry>
 
+      <varlistentry id="nproc">
+        <term><command>nproc</command></term>
+        <listitem>
+          <para>Prints the number of processing units available to the current
+          process</para>
+          <indexterm zone="ch-system-coreutils nproc">
+            <primary sortas="b-nproc">nproc</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="od">
         <term><command>od</command></term>
@@ -750,4 +761,14 @@
           <indexterm zone="ch-system-coreutils readlink">
             <primary sortas="b-readlink">readlink</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="realpath">
+        <term><command>realpath</command></term>
+        <listitem>
+          <para>Prints the resolved path</para>
+          <indexterm zone="ch-system-coreutils realpath">
+            <primary sortas="b-realpath">realpath</primary>
           </indexterm>
         </listitem>
Index: BOOK/final-system/common/e2fsprogs.xml
===================================================================
--- BOOK/final-system/common/e2fsprogs.xml	(revision f74335ee354c5944df2fc9575e8a8edc51ca3ee1)
+++ BOOK/final-system/common/e2fsprogs.xml	(revision 2b220db9ba518c4dbd4ceb706eac2bf03d42e677)
@@ -96,12 +96,12 @@
       <seglistitem>
         <seg>badblocks, chattr, compile_et, debugfs, dumpe2fs, e2freefrag,
-        e2fsck, e2image, e2initrd_helper, e2label, e2undo, filefrag, fsck.ext2,
-        fsck.ext3, fsck.ext4, fsck.ext4dev, logsave, lsattr, mk_cmds, mke2fs,
-        mkfs.ext2, mkfs.ext3, mkfs.ext4, mkfs.ext4dev, mklost+found, resize2fs,
-        and tune2fs</seg>
-        <seg>libcom_err.[a,so], libe2p.[a,so], libext2fs.[a,so], and
-        libss.[a,so]</seg>
+        e2fsck, e2image, e2initrd_helper, e2label, e2undo, e4defrag, filefrag,
+        fsck.ext2, fsck.ext3, fsck.ext4, fsck.ext4dev, logsave, lsattr,
+        mk_cmds, mke2fs, mkfs.ext2, mkfs.ext3, mkfs.ext4, mkfs.ext4dev,
+        mklost+found, resize2fs, and tune2fs</seg>
+        <seg>libcom_err.[a,so], libe2p.[a,so], libext2fs.[a,so],
+        libss.[a,so], and libquota.a</seg>
         <seg>/usr/include/e2p, /usr/include/et, /usr/include/ext2fs,
-        /usr/include/ss, /usr/share/et, /usr/share/ss</seg>
+        /usr/include/quota, /usr/include/ss, /usr/share/et, /usr/share/ss</seg>
       </seglistitem>
     </segmentedlist>
@@ -235,4 +235,14 @@
       </varlistentry>
 
+      <varlistentry id="e4defrag">
+        <term><command>e4defrag</command></term>
+        <listitem>
+          <para>Online defragmenter for ext4 filesystems</para>
+          <indexterm zone="ch-system-e2fsprogs e4defrag">
+            <primary sortas="b-e4defrag">e4defrag</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="filefrag">
         <term><command>filefrag</command></term>
@@ -445,4 +455,15 @@
       </varlistentry>
 
+      <varlistentry id="libquota">
+        <term><filename class="libraryfile">libquota</filename></term>
+        <listitem>
+          <para>Provides an interface for creating and updating quota files
+          and ext4 superblock fields</para>
+          <indexterm zone="ch-system-e2fsprogs libquota">
+            <primary sortas="c-libquota">libquota</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="libss">
         <term><filename class="libraryfile">libss</filename></term>
Index: BOOK/final-system/common/eglibc.xml
===================================================================
--- BOOK/final-system/common/eglibc.xml	(revision f74335ee354c5944df2fc9575e8a8edc51ca3ee1)
+++ BOOK/final-system/common/eglibc.xml	(revision 2b220db9ba518c4dbd4ceb706eac2bf03d42e677)
@@ -328,7 +328,7 @@
       <seglistitem>
         <seg>catchsegv, gencat, getconf, getent, iconv, iconvconfig, ldconfig,
-        ldd, lddlibc4, locale, localedef, mtrace, nscd,
-        pcprofiledump, pt_chown, rpcgen, rpcinfo, sln, sprof, tzselect, xtrace,
-        zdump, and zic</seg>
+        ldd, lddlibc4, locale, localedef, makedb, mtrace, nscd,
+        pcprofiledump, pldd, pt_chown, rpcgen, sln, sprof, tzselect,
+        xtrace,zdump, and zic</seg>
         <seg>ld.so, libBrokenLocale.[a,so], libSegFault.so, libanl.[a,so],
         libbsd-compat.a, libc.[a,so], libc_nonshared.a, libcidn.[a,so],
@@ -470,4 +470,14 @@
       </varlistentry>
 
+      <varlistentry id="makedb">
+        <term><command>makedb</command></term>
+        <listitem>
+          <para>Creates a simple database from textual input</para>
+          <indexterm zone="ch-system-eglibc makedb">
+            <primary sortas="b-makedb">makedb</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="mtrace">
         <term><command>mtrace</command></term>
@@ -502,4 +512,14 @@
       </varlistentry>
 
+      <varlistentry id="pldd">
+        <term><command>pldd</command></term>
+        <listitem>
+          <para>Lists dynamic shared objects used by running processes</para>
+          <indexterm zone="ch-system-eglibc pldd">
+            <primary sortas="b-pldd">pldd</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="pt_chown">
         <term><command>pt_chown</command></term>
@@ -524,14 +544,4 @@
       </varlistentry>
 
-      <varlistentry id="rpcinfo">
-        <term><command>rpcinfo</command></term>
-        <listitem>
-          <para>Makes an RPC call to an RPC server</para>
-          <indexterm zone="ch-system-eglibc rpcinfo">
-            <primary sortas="b-rpcinfo">rpcinfo</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
       <varlistentry id="sln">
         <term><command>sln</command></term>
@@ -540,4 +550,14 @@
           <indexterm zone="ch-system-eglibc sln">
             <primary sortas="b-sln">sln</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="sotruss">
+        <term><command>sotruss</command></term>
+        <listitem>
+          <para>Traces shared library procedure calls of a specified command</para>
+          <indexterm zone="ch-system-eglibc sotruss">
+            <primary sortas="b-sotruss">sotruss</primary>
           </indexterm>
         </listitem>
Index: BOOK/final-system/common/flex.xml
===================================================================
--- BOOK/final-system/common/flex.xml	(revision f74335ee354c5944df2fc9575e8a8edc51ca3ee1)
+++ BOOK/final-system/common/flex.xml	(revision 2b220db9ba518c4dbd4ceb706eac2bf03d42e677)
@@ -96,4 +96,15 @@
       </varlistentry>
 
+      <varlistentry id="flexpp">
+        <term><command>flex++</command></term>
+        <listitem>
+          <para>Link to <command>flex</command> which makes it generate C++
+          scanner classes</para>
+          <indexterm zone="ch-system-flex flexpp">
+            <primary sortas="b-flex++">flex++</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="lex">
         <term><command>lex</command></term>
Index: BOOK/final-system/common/gcc.xml
===================================================================
--- BOOK/final-system/common/gcc.xml	(revision f74335ee354c5944df2fc9575e8a8edc51ca3ee1)
+++ BOOK/final-system/common/gcc.xml	(revision 2b220db9ba518c4dbd4ceb706eac2bf03d42e677)
@@ -110,9 +110,9 @@
 
       <seglistitem>
-        <seg>c++, cc (link to gcc), cpp, g++, gcc, gccbug, and gcov</seg>
+        <seg>c++, cc (link to gcc), cpp, g++, gcc, and gcov</seg>
         <seg>libgcc.a, libgcc_eh.a, libgcc_s.so, libgcov.a, libgomp.[a,so],
         libmudflap.[a,so], libmudflapth.[a,so], libssp.[a,so],
         libssp_nonshared.a, libstdc++.[a,so], and libsupc++.a</seg>
-        <seg>/usr/include/c++, /usr/lib/gcc</seg>
+        <seg>/usr/include/c++, /usr/lib/gcc, /usr/share/gcc-&gcc-version;</seg>
       </seglistitem>
     </segmentedlist>
@@ -174,14 +174,4 @@
       </varlistentry>
 
-      <varlistentry id="gccbug">
-        <term><command>gccbug</command></term>
-        <listitem>
-          <para>A shell script used to help create useful bug reports</para>
-          <indexterm zone="ch-system-gcc gccbug">
-            <primary sortas="b-gccbug">gccbug</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
       <varlistentry id="gcov">
         <term><command>gcov</command></term>
Index: BOOK/final-system/common/groff.xml
===================================================================
--- BOOK/final-system/common/groff.xml	(revision f74335ee354c5944df2fc9575e8a8edc51ca3ee1)
+++ BOOK/final-system/common/groff.xml	(revision 2b220db9ba518c4dbd4ceb706eac2bf03d42e677)
@@ -69,5 +69,5 @@
         roff2pdf, roff2ps, roff2text, roff2x, soelim, tbl, tfmtodit, troff,
         and zsoelim (link to soelim)</seg>
-        <seg>/usr/lib/groff, /usr/share/doc/groff, /usr/share/groff</seg>
+        <seg>/usr/lib/groff, /usr/share/doc/groff-&groff-version;, /usr/share/groff</seg>
       </seglistitem>
     </segmentedlist>
Index: BOOK/final-system/common/kmod.xml
===================================================================
--- BOOK/final-system/common/kmod.xml	(revision f74335ee354c5944df2fc9575e8a8edc51ca3ee1)
+++ BOOK/final-system/common/kmod.xml	(revision 2b220db9ba518c4dbd4ceb706eac2bf03d42e677)
@@ -82,5 +82,5 @@
 
       <seglistitem>
-        <seg>depmod, insmod, lsmod, modinfo, modprobe, and
+        <seg>depmod, insmod, kmod, lsmod, modinfo, modprobe, and
         rmmod</seg>
       </seglistitem>
@@ -111,4 +111,14 @@
           <indexterm zone="ch-system-kmod insmod">
             <primary sortas="b-insmod">insmod</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="kmod">
+        <term><command>kmod</command></term>
+        <listitem>
+          <para>Loads and unloads kernel modules</para>
+          <indexterm zone="ch-system-kmod kmod">
+            <primary sortas="b-kmod">kmod</primary>
           </indexterm>
         </listitem>
Index: BOOK/final-system/common/libee.xml
===================================================================
--- BOOK/final-system/common/libee.xml	(revision f74335ee354c5944df2fc9575e8a8edc51ca3ee1)
+++ BOOK/final-system/common/libee.xml	(revision 2b220db9ba518c4dbd4ceb706eac2bf03d42e677)
@@ -49,10 +49,12 @@
 
     <segmentedlist>
-      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Program</segtitle>
       <segtitle>Installed libraries</segtitle>
+      <segtitle>Installed directory</segtitle>
 
       <seglistitem>
-        <seg>convert</seg>
+        <seg>libee-convert</seg>
         <seg>libee.[a,so]</seg>
+        <seg>/usr/include/libee</seg>
       </seglistitem>
     </segmentedlist>
@@ -63,10 +65,10 @@
       <?dbhtml list-presentation="table"?>
 
-      <varlistentry id="convert">
-        <term><command>convert</command></term>
+      <varlistentry id="libee-convert">
+        <term><command>libee-convert</command></term>
         <listitem>
           <para>todo</para>
-          <indexterm zone="ch-system-libee convert">
-            <primary sortas="b-convert">convert</primary>
+          <indexterm zone="ch-system-libee libee-convert">
+            <primary sortas="b-libee-convert">libee-convert</primary>
           </indexterm>
         </listitem>
Index: BOOK/final-system/common/linux-headers.xml
===================================================================
--- BOOK/final-system/common/linux-headers.xml	(revision f74335ee354c5944df2fc9575e8a8edc51ca3ee1)
+++ BOOK/final-system/common/linux-headers.xml	(revision 2b220db9ba518c4dbd4ceb706eac2bf03d42e677)
@@ -77,5 +77,5 @@
 
       <seglistitem>
-        <seg>/usr/include/{asm,asm-generic,drm,linux,mtd,rdma,sound,video}/*.h</seg>
+        <seg>/usr/include/{asm,asm-generic,drm,linux,mtd,rdma,scsi,sound,video,xen}/*.h</seg>
         <seg>/usr/include/asm, /usr/include/asm-generic, /usr/include/drm,
         /usr/include/linux, /usr/include/mtd, /usr/include/rdma,
Index: BOOK/final-system/common/perl.xml
===================================================================
--- BOOK/final-system/common/perl.xml	(revision f74335ee354c5944df2fc9575e8a8edc51ca3ee1)
+++ BOOK/final-system/common/perl.xml	(revision 2b220db9ba518c4dbd4ceb706eac2bf03d42e677)
@@ -120,10 +120,10 @@
       <seglistitem>
         <seg>a2p, c2ph, config_data, corelist, cpan, cpan2dist, cpanp,
-        cpanp-run-perl, dprofpp, enc2xs, find2perl, h2ph, h2xs, instmodsh,
+        cpanp-run-perl, enc2xs, find2perl, h2ph, h2xs, instmodsh, json_pp,
         libnetcfg, perl, perl&perl-version; (link to perl), perlbug,
         perldoc, perlivp, perlthanks (link to perlbug), piconv, pl2pm, pod2html,
         pod2latex, pod2man, pod2text, pod2usage, podchecker, podselect, prove,
-        psed (link to s2p), pstruct (link to c2ph), ptar, ptardiff, s2p, shasum,
-        splain, and xsubpp</seg>
+        psed (link to s2p), pstruct (link to c2ph), ptar, ptardiff, ptargrep,
+        s2p, shasum, splain, xsubpp, and zipdetails</seg>
         <seg>Several hundred which cannot all be listed here</seg>
         <seg>/usr/lib/perl5</seg>
@@ -213,14 +213,4 @@
           <indexterm zone="ch-system-perl cpanp-run-perl">
             <primary sortas="b-cpanp-run-perl">cpanp-run-perl</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="dprofpp">
-        <term><command>dprofpp</command></term>
-        <listitem>
-          <para>Displays Perl profile data</para>
-          <indexterm zone="ch-system-perl dprofpp">
-            <primary sortas="b-dprofpp">dprofpp</primary>
           </indexterm>
         </listitem>
@@ -282,4 +272,14 @@
       </varlistentry>
 
+      <varlistentry id="json_pp">
+        <term><command>json_pp</command></term>
+        <listitem>
+          <para>Converts data between certain input and output formats</para>
+          <indexterm zone="ch-system-perl json_pp">
+            <primary sortas="b-json_pp">json_pp</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="libnetcfg">
         <term><command>libnetcfg</command></term>
@@ -505,4 +505,15 @@
       </varlistentry>
 
+      <varlistentry id="ptargrep">
+        <term><command>ptargrep</command></term>
+        <listitem>
+          <para>A Perl program that applies pattern matching to the contents
+          of files in a tar archive</para>
+          <indexterm zone="ch-system-perl ptargrep">
+            <primary sortas="b-ptargrep">ptargrep</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="s2p">
         <term><command>s2p</command></term>
@@ -545,4 +556,14 @@
       </varlistentry>
 
+      <varlistentry id="zipdetails">
+        <term><command>zipdetails</command></term>
+        <listitem>
+          <para>Displays details about the internal structure of a Zip file</para>
+          <indexterm zone="ch-system-perl zipdetails">
+            <primary sortas="b-zipdetails">zipdetails</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
     </variablelist>
 
Index: BOOK/final-system/common/ppl.xml
===================================================================
--- BOOK/final-system/common/ppl.xml	(revision f74335ee354c5944df2fc9575e8a8edc51ca3ee1)
+++ BOOK/final-system/common/ppl.xml	(revision 2b220db9ba518c4dbd4ceb706eac2bf03d42e677)
@@ -63,7 +63,7 @@
 
       <seglistitem>
-        <seg>ppl-config, ppl_lcdd</seg>
-        <seg>libppl.[a,so], libppl_c.[a,so], libpwl.[a,so]</seg>
-        <seg>/usr/share/doc/ppl, /usr/share/doc/pwl</seg>
+        <seg>ppl-config, ppl_lcdd, ppl_pips</seg>
+        <seg>libppl.[a,so], libppl_c.[a,so]</seg>
+        <seg>/usr/share/doc/ppl</seg>
       </seglistitem>
     </segmentedlist>
@@ -91,4 +91,14 @@
           <indexterm zone="ch-system-ppl ppl_lcdd">
             <primary sortas="b-ppl_lcdd">ppl_lcdd</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="ppl_pips">
+        <term><command>ppl_pips</command></term>
+        <listitem>
+          <para>A PPL-based parametric integer programming problem solver</para>
+          <indexterm zone="ch-system-ppl ppl_pips">
+            <primary sortas="b-ppl_pips">ppl_pips</primary>
           </indexterm>
         </listitem>
Index: BOOK/final-system/common/psmisc.xml
===================================================================
--- BOOK/final-system/common/psmisc.xml	(revision f74335ee354c5944df2fc9575e8a8edc51ca3ee1)
+++ BOOK/final-system/common/psmisc.xml	(revision 2b220db9ba518c4dbd4ceb706eac2bf03d42e677)
@@ -79,5 +79,6 @@
 
       <seglistitem>
-        <seg>fuser, killall, peekfd, pstree, and pstree.x11 (link to pstree)</seg>
+        <seg>fuser, killall, peekfd, prtstat, pstree, and pstree.x11
+        (link to pstree)</seg>
       </seglistitem>
     </segmentedlist>
@@ -120,4 +121,14 @@
       </varlistentry>
 
+      <varlistentry id="prtstat">
+        <term><command>prtstat</command></term>
+        <listitem>
+          <para>Prints information about a process</para>
+          <indexterm zone="ch-system-psmisc prtstat">
+            <primary sortas="b-prtstat">prtstat</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="pstree">
         <term><command>pstree</command></term>
Index: BOOK/final-system/common/sysvinit.xml
===================================================================
--- BOOK/final-system/common/sysvinit.xml	(revision f74335ee354c5944df2fc9575e8a8edc51ca3ee1)
+++ BOOK/final-system/common/sysvinit.xml	(revision 2b220db9ba518c4dbd4ceb706eac2bf03d42e677)
@@ -125,5 +125,6 @@
 
       <seglistitem>
-        <seg>bootlogd, halt, init, killall5, last, lastb (link to last), mesg,
+        <seg>bootlogd, fstab-decode, halt, init, killall5, last, lastb (link
+        to last), mesg,
         pidof (link to killall5), poweroff (link to halt),
         reboot (link to halt), runlevel, shutdown, and telinit (link to init)</seg>
@@ -142,4 +143,14 @@
           <indexterm zone="ch-system-sysvinit bootlogd">
             <primary sortas="b-bootlogd">bootlogd</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="fstab-decode">
+        <term><command>fstab-decode</command></term>
+        <listitem>
+          <para>Runs a command with fstab-encoded arguments</para>
+          <indexterm zone="ch-system-sysvinit fstab-decode">
+            <primary sortas="b-fstab-decode">fstab-decode</primary>
           </indexterm>
         </listitem>
Index: BOOK/final-system/common/util-linux.xml
===================================================================
--- BOOK/final-system/common/util-linux.xml	(revision f74335ee354c5944df2fc9575e8a8edc51ca3ee1)
+++ BOOK/final-system/common/util-linux.xml	(revision 2b220db9ba518c4dbd4ceb706eac2bf03d42e677)
@@ -104,16 +104,16 @@
 
       <seglistitem>
-        <seg>addpart, agetty, arch, blkid, blockdev, cal, cfdisk, chkdupexe,
-        chrt, col, colcrt, colrm, column, ctrlaltdel, cytune, ddate, delpart,
+        <seg>addpart, agetty, arch, blkid, blockdev, cal, cfdisk, chcpu,
+        chrt, col, colcrt, colrm, column, ctrlaltdel, cytune, delpart,
         dmesg, eject, fallocate, fdformat, fdisk, findfs, findmnt, flock,
         fsck, fsck.cramfs, fsck.minix, fsfreeze, fstrim, getopt, hexdump,
-        hwclock, ionice, ipcmk, ipcrm, ipcs, isosize, kill, ldattach, line,
-        logger, look, losetup, lsblk, lscpu, mcookie, mkfs, mkfs.bfs,
+        hwclock, ionice, ipcmk, ipcrm, ipcs, isosize, kill, ldattach,
+        logger, look, losetup, lsblk, lscpu, lslocks, mcookie, mkfs, mkfs.bfs,
         mkfs.cramfs, mkfs.minix, mkswap, more, mount, mountpoint,  namei,
-        partx, pg, pivot_root, readprofile, rename, renice, rev, rtcwake,
-        script, scriptreplay, setarch, setsid, setterm, sulogin, sfdisk,
-        swaplabel, swapoff (link to swapon), swapon, switch_root, tailf,
-        taskset, tunelp, ul, umount, unshare, utmpdump, uuidd, uuidgen,
-        wall, wdctl, whereis, wipefs, and write</seg>
+        partx, pg, pivot_root, prlimit, raw, readprofile, rename, renice,
+        resizepart, rev, rtcwake, script, scriptreplay, setarch, setsid,
+        setterm, sfdisk, sulogin, swaplabel, swapoff (link to swapon), swapon,
+        switch_root, tailf, taskset, tunelp, ul, umount, unshare, utmpdump,
+        uuidd, uuidgen, wall, wdctl, whereis, wipefs, and write</seg>
         <seg>libblkid.[a,so], libmount.[a,so], and libuuid.[a,so]</seg>
         <seg>/usr/include/blkid, /usr/include/libmount, /usr/include/uuid,
@@ -200,10 +200,10 @@
       </varlistentry>
 
-      <varlistentry id="chkdupexe">
-        <term><command>chkdupexe</command></term>
-        <listitem>
-          <para>Finds duplicate executables</para>
-          <indexterm zone="ch-system-util-linux chkdupexe">
-            <primary sortas="b-chkdupexe">chkdupexe</primary>
+      <varlistentry id="chcpu">
+        <term><command>chcpu</command></term>
+        <listitem>
+          <para>Utility to configure CPUs</para>
+          <indexterm zone="ch-system-util-linux chcpu">
+            <primary sortas="b-chcpu">chcpu</primary>
           </indexterm>
         </listitem>
@@ -541,14 +541,4 @@
       </varlistentry>
 
-      <varlistentry id="line">
-        <term><command>line</command></term>
-        <listitem>
-          <para>Copies a single line</para>
-          <indexterm zone="ch-system-util-linux line">
-            <primary sortas="b-line">line</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
       <varlistentry id="logger">
         <term><command>logger</command></term>
@@ -597,4 +587,14 @@
           <indexterm zone="ch-system-util-linux lscpu">
             <primary sortas="b-lscpu">lscpu</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="lslocks">
+        <term><command>lslocks</command></term>
+        <listitem>
+          <para>Lists local system locks</para>
+          <indexterm zone="ch-system-util-linux lslocks">
+            <primary sortas="b-lslocks">lslocks</primary>
           </indexterm>
         </listitem>
@@ -737,4 +737,24 @@
       </varlistentry>
 
+      <varlistentry id="prlimit">
+        <term><command>prlimit</command></term>
+        <listitem>
+          <para>Gets and sets a process' resource limits</para>
+          <indexterm zone="ch-system-util-linux prlimit">
+            <primary sortas="b-prlimit">prlimit</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="raw">
+        <term><command>raw</command></term>
+        <listitem>
+          <para>Binds a Linux raw character device to a block device</para>
+          <indexterm zone="ch-system-util-linux raw">
+            <primary sortas="b-raw">raw</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="readprofile">
         <term><command>readprofile</command></term>
@@ -768,4 +788,14 @@
       </varlistentry>
 
+      <varlistentry id="resizepart">
+        <term><command>resizepart</command></term>
+        <listitem>
+          <para>Asks the Linux kernel to resize a partition</para>
+          <indexterm zone="ch-system-util-linux resizepart">
+            <primary sortas="b-resizepart">resizepart</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="rev">
         <term><command>rev</command></term>
@@ -835,4 +865,14 @@
           <indexterm zone="ch-system-util-linux setterm">
             <primary sortas="b-setterm">setterm</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="sfdisk">
+        <term><command>sfdisk</command></term>
+        <listitem>
+          <para>A disk partition table manipulator</para>
+          <indexterm zone="ch-system-util-linux sfdisk">
+            <primary sortas="b-sfdisk">sfdisk</primary>
           </indexterm>
         </listitem>
@@ -847,14 +887,4 @@
           <indexterm zone="ch-system-util-linux sulogin">
             <primary sortas="b-sulogin">sulogin</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="sfdisk">
-        <term><command>sfdisk</command></term>
-        <listitem>
-          <para>A disk partition table manipulator</para>
-          <indexterm zone="ch-system-util-linux sfdisk">
-            <primary sortas="b-sfdisk">sfdisk</primary>
           </indexterm>
         </listitem>
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision f74335ee354c5944df2fc9575e8a8edc51ca3ee1)
+++ BOOK/introduction/common/changelog.xml	(revision 2b220db9ba518c4dbd4ceb706eac2bf03d42e677)
@@ -36,4 +36,14 @@
     </listitem>
 -->
+
+    <listitem>
+      <para>November 18, 2012</para>
+      <itemizedlist>
+        <listitem>
+          <para>[Chris] - Many updates to list of installed programs</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>November 17, 2012</para>