Index: boot/alpha/kernel.xml
===================================================================
--- boot/alpha/kernel.xml	(revision 930f40486670bcd6f4712772673d758f01619cdb)
+++ boot/alpha/kernel.xml	(revision 3ae6751dde933619b59223e112a308410c8e80fc)
@@ -9,5 +9,5 @@
   <?dbhtml filename="kernel.html"?>
 
-  <title>Linux-&linux-alpha-version;</title>
+  <title>Linux-&linux-version;</title>
 
   <indexterm zone="ch-boot-kernel">
@@ -106,5 +106,5 @@
     xpointer="xpointer(//*[@os='v'])"/>
 
-<screen><userinput>cp vmlinux ${LFS}/boot/lfskernel-&linux-alpha-version;</userinput></screen>
+<screen><userinput>cp vmlinux ${LFS}/boot/lfskernel-&linux-version;</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
@@ -112,5 +112,7 @@
     xpointer="xpointer(//*[@os='x'])"/>
 
-<screen><userinput>cp System.map ${LFS}/boot/System.map-&linux-alpha-version;</userinput></screen>
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='x1'])"/>
 
   </sect2>
Index: boot/mips/colo.xml
===================================================================
--- boot/mips/colo.xml	(revision 930f40486670bcd6f4712772673d758f01619cdb)
+++ boot/mips/colo.xml	(revision 3ae6751dde933619b59223e112a308410c8e80fc)
@@ -33,6 +33,6 @@
 # load linux
 #
-lcd 'Booting &linux-mips-version;...'
-load vmlinux-&linux-mips-version;.gz
+lcd 'Booting &linux-version;...'
+load vmlinux-&linux-version;.gz
 execute root=/dev/hda2 console=ttyS0,115200 ide1=noprobe
 EOF</userinput></screen>
Index: boot/mips/kernel.xml
===================================================================
--- boot/mips/kernel.xml	(revision 930f40486670bcd6f4712772673d758f01619cdb)
+++ boot/mips/kernel.xml	(revision 3ae6751dde933619b59223e112a308410c8e80fc)
@@ -9,5 +9,5 @@
   <?dbhtml filename="kernel.html"?>
 
-  <title>Linux-&linux-mips-version;</title>
+  <title>Linux-&linux-version;</title>
 
   <indexterm zone="ch-boot-kernel">
@@ -122,6 +122,6 @@
     xpointer="xpointer(//*[@os='v'])"/>
 
-<screen><userinput>cp vmlinux ${LFS}/boot/vmlinux-&linux-mips-version;
-gzip -9 ${LFS}/boot/vmlinux-&linux-mips-version;</userinput></screen>
+<screen><userinput>cp vmlinux ${LFS}/boot/vmlinux-&linux-version;
+gzip -9 ${LFS}/boot/vmlinux-&linux-version;</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
@@ -129,5 +129,7 @@
     xpointer="xpointer(//*[@os='x'])"/>
 
-<screen><userinput>cp System.map ${LFS}/boot/System.map-&linux-mips-version;</userinput></screen>
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='x1'])"/>
 
   </sect2>
Index: boot/mips64-64-chapter.xml
===================================================================
--- boot/mips64-64-chapter.xml	(revision 930f40486670bcd6f4712772673d758f01619cdb)
+++ boot/mips64-64-chapter.xml	(revision 3ae6751dde933619b59223e112a308410c8e80fc)
@@ -24,5 +24,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips64/kernel.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips64-64/colo-build.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips64/colo.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips/colo.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/settingenviron.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/fstab.xml"/>
Index: boot/mips64-chapter.xml
===================================================================
--- boot/mips64-chapter.xml	(revision 930f40486670bcd6f4712772673d758f01619cdb)
+++ boot/mips64-chapter.xml	(revision 3ae6751dde933619b59223e112a308410c8e80fc)
@@ -24,5 +24,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips64/kernel.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips64/colo-build.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips64/colo.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips/colo.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/settingenviron.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/fstab.xml"/>
Index: ot/mips64/colo.xml
===================================================================
--- boot/mips64/colo.xml	(revision 930f40486670bcd6f4712772673d758f01619cdb)
+++ 	(revision )
@@ -1,40 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
-  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-boot-colo">
-  <?dbhtml filename="colo.html"?>
-
-  <title>Making the Temporary System Bootable</title>
-
-  <indexterm zone="ch-boot-colo">
-    <primary sortas="a-Colo">Colo</primary>
-    <secondary>boot, configuring</secondary>
-  </indexterm>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../mips/colo.xml"
-  xpointer="xpointer(//*[@os='a'])"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../mips/colo.xml"
-  xpointer="xpointer(//*[@os='b'])"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../mips/colo.xml"
-  xpointer="xpointer(//*[@os='d'])"/>
-
-<screen><userinput>cat &gt; ${LFS}/boot/default.colo &lt;&lt; "EOF"
-#:CoLo:#
-#
-# load linux
-#
-lcd 'Booting &linux-mips64-version;...'
-load vmlinux-&linux-mips64-version;.gz
-execute root=/dev/hda2 console=ttyS0,115200 ide1=noprobe
-EOF</userinput></screen>
-
-</sect1>
Index: boot/mips64/kernel.xml
===================================================================
--- boot/mips64/kernel.xml	(revision 930f40486670bcd6f4712772673d758f01619cdb)
+++ boot/mips64/kernel.xml	(revision 3ae6751dde933619b59223e112a308410c8e80fc)
@@ -9,5 +9,5 @@
   <?dbhtml filename="kernel.html"?>
 
-  <title>Linux-&linux-mips64-version;</title>
+  <title>Linux-&linux-version;</title>
 
   <indexterm zone="ch-boot-kernel">
@@ -28,21 +28,21 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/mips64/kernel.xml"
+    href="../../bootable/mips/kernel.xml"
     xpointer="xpointer(//*[@os='ba'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/mips64/kernel.xml"
+    href="../../bootable/mips/kernel.xml"
     xpointer="xpointer(//*[@os='bb'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/mips64/kernel.xml"
+    href="../../bootable/mips/kernel.xml"
     xpointer="xpointer(//*[@os='bc'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/mips64/kernel.xml"
+    href="../../bootable/mips/kernel.xml"
     xpointer="xpointer(//*[@os='bd'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/mips64/kernel.xml"
+    href="../../bootable/mips/kernel.xml"
     xpointer="xpointer(//*[@os='a'])"/>
 
@@ -52,13 +52,13 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/mips64/kernel.xml"
+    href="../../bootable/mips/kernel.xml"
     xpointer="xpointer(//*[@os='b'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/mips64/kernel.xml"
+    href="../../bootable/mips/kernel.xml"
     xpointer="xpointer(//*[@os='c'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/mips64/kernel.xml"
+    href="../../bootable/mips/kernel.xml"
     xpointer="xpointer(//*[@os='d'])"/>
 
@@ -68,9 +68,9 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/mips64/kernel.xml"
+    href="../../bootable/mips/kernel.xml"
     xpointer="xpointer(//*[@os='f'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/mips64/kernel.xml"
+    href="../../bootable/mips/kernel.xml"
     xpointer="xpointer(//*[@os='g'])"/>
 
@@ -90,9 +90,9 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/mips64/kernel.xml"
+    href="../../bootable/mips/kernel.xml"
     xpointer="xpointer(//*[@os='l'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/mips64/kernel.xml"
+    href="../../bootable/mips/kernel.xml"
     xpointer="xpointer(//*[@os='m'])"/>
 
@@ -104,13 +104,13 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/mips64/kernel.xml"
+    href="../../bootable/mips/kernel.xml"
     xpointer="xpointer(//*[@os='p'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/mips64/kernel.xml"
+    href="../../bootable/mips/kernel.xml"
     xpointer="xpointer(//*[@os='q'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/mips64/kernel.xml"
+    href="../../bootable/mips/kernel.xml"
     xpointer="xpointer(//*[@os='s'])"/>
 
@@ -119,19 +119,21 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/mips64/kernel.xml"
+    href="../../bootable/mips/kernel.xml"
     xpointer="xpointer(//*[@os='u'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/mips64/kernel.xml"
+    href="../../bootable/mips/kernel.xml"
     xpointer="xpointer(//*[@os='v'])"/>
 
-<screen><userinput>cp vmlinux ${LFS}/boot/vmlinux-&linux-mips64-version;
-gzip -9 ${LFS}/boot/vmlinux-&linux-mips64-version;</userinput></screen>
+<screen><userinput>cp vmlinux ${LFS}/boot/vmlinux-&linux-version;
+gzip -9 ${LFS}/boot/vmlinux-&linux-version;</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/mips64/kernel.xml"
+    href="../../bootable/mips/kernel.xml"
     xpointer="xpointer(//*[@os='x'])"/>
 
-<screen><userinput>cp System.map ${LFS}/boot/System.map-&linux-mips64-version;</userinput></screen>
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='x1'])"/>
 
   </sect2>
Index: boot/ppc/kernel.xml
===================================================================
--- boot/ppc/kernel.xml	(revision 930f40486670bcd6f4712772673d758f01619cdb)
+++ boot/ppc/kernel.xml	(revision 3ae6751dde933619b59223e112a308410c8e80fc)
@@ -9,5 +9,5 @@
   <?dbhtml filename="kernel.html"?>
 
-  <title>Linux-&linux-ppc-version;</title>
+  <title>Linux-&linux-version;</title>
 
   <indexterm zone="ch-boot-kernel">
@@ -106,5 +106,5 @@
     xpointer="xpointer(//*[@os='v'])"/>
 
-<screen><userinput>cp vmlinux ${LFS}/boot/lfskernel-&linux-ppc-version;</userinput></screen>
+<screen><userinput>cp vmlinux ${LFS}/boot/lfskernel-&linux-version;</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
@@ -112,5 +112,7 @@
     xpointer="xpointer(//*[@os='x'])"/>
 
-<screen><userinput>cp System.map ${LFS}/boot/System.map-&linux-ppc-version;</userinput></screen>
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='x1'])"/>
 
   </sect2>
Index: boot/sparc/kernel.xml
===================================================================
--- boot/sparc/kernel.xml	(revision 930f40486670bcd6f4712772673d758f01619cdb)
+++ boot/sparc/kernel.xml	(revision 3ae6751dde933619b59223e112a308410c8e80fc)
@@ -9,5 +9,5 @@
   <?dbhtml filename="kernel.html"?>
 
-  <title>Linux-&linux-sparc-version;</title>
+  <title>Linux-&linux-version;</title>
 
   <indexterm zone="ch-boot-kernel">
@@ -106,5 +106,5 @@
     xpointer="xpointer(//*[@os='v'])"/>
 
-<screen><userinput>cp vmlinux ${LFS}/boot/lfskernel-&linux-sparc-version;</userinput></screen>
+<screen><userinput>cp vmlinux ${LFS}/boot/lfskernel-&linux-version;</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
@@ -112,5 +112,7 @@
     xpointer="xpointer(//*[@os='x'])"/>
 
-<screen><userinput>cp System.map ${LFS}/boot/System.map-&linux-sparc-version;</userinput></screen>
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='x1'])"/>
 
   </sect2>
Index: boot/sparc/silo.xml
===================================================================
--- boot/sparc/silo.xml	(revision 930f40486670bcd6f4712772673d758f01619cdb)
+++ boot/sparc/silo.xml	(revision 3ae6751dde933619b59223e112a308410c8e80fc)
@@ -25,5 +25,5 @@
 timeout = 150         # Wait 15 seconds before booting the default section
 
-image = /boot/lfskernel-&linux-sparc-version;
+image = /boot/lfskernel-&linux-version;
   label = linux
 # End /etc/silo.conf</literal>
Index: boot/sparc64-64-chapter.xml
===================================================================
--- boot/sparc64-64-chapter.xml	(revision 930f40486670bcd6f4712772673d758f01619cdb)
+++ boot/sparc64-64-chapter.xml	(revision 3ae6751dde933619b59223e112a308410c8e80fc)
@@ -30,5 +30,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/devices.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/changingowner.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc64-64/silo.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc/silo.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/whatnext.xml"/>
 
Index: ot/sparc64-64/silo.xml
===================================================================
--- boot/sparc64-64/silo.xml	(revision 930f40486670bcd6f4712772673d758f01619cdb)
+++ 	(revision )
@@ -1,38 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
-  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-boot-silo" role="wrap">
-  <?dbhtml filename="silo.html"?>
-
-  <title>Making the Temporary System Bootable</title>
-
-  <indexterm zone="ch-boot-silo">
-    <primary sortas="a-Silo">Silo</primary>
-    <secondary>boot, configuring</secondary>
-  </indexterm>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../sparc/silo.xml"
-  xpointer="xpointer(//*[@os='a'])"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../sparc64/silo.xml"
-  xpointer="xpointer(//*[@os='aa'])"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../sparc/silo.xml"
-  xpointer="xpointer(//*[@os='b'])"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../sparc/silo.xml"
-  xpointer="xpointer(//*[@os='c'])"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../sparc/silo.xml"
-  xpointer="xpointer(//*[@os='d'])"/>
-
-</sect1>
Index: boot/sparc64-chapter.xml
===================================================================
--- boot/sparc64-chapter.xml	(revision 930f40486670bcd6f4712772673d758f01619cdb)
+++ boot/sparc64-chapter.xml	(revision 3ae6751dde933619b59223e112a308410c8e80fc)
@@ -31,5 +31,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/devices.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/changingowner.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc64/silo.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc/silo.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/whatnext.xml"/>
 
Index: boot/sparc64/kernel.xml
===================================================================
--- boot/sparc64/kernel.xml	(revision 930f40486670bcd6f4712772673d758f01619cdb)
+++ boot/sparc64/kernel.xml	(revision 3ae6751dde933619b59223e112a308410c8e80fc)
@@ -9,5 +9,5 @@
   <?dbhtml filename="kernel.html"?>
 
-  <title>Linux-&linux-sparc64-version;</title>
+  <title>Linux-&linux-version;</title>
 
   <indexterm zone="ch-boot-kernel">
@@ -28,9 +28,9 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/sparc64/kernel.xml"
+    href="../../bootable/sparc/kernel.xml"
     xpointer="xpointer(//*[@os='a'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/sparc64/kernel.xml"
+    href="../../bootable/sparc/kernel.xml"
     xpointer="xpointer(//*[@os='b'])"/>
 
@@ -42,5 +42,5 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/sparc64/kernel.xml"
+    href="../../bootable/sparc/kernel.xml"
     xpointer="xpointer(//*[@os='d'])"/>
 
@@ -50,9 +50,9 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/sparc64/kernel.xml"
+    href="../../bootable/sparc/kernel.xml"
     xpointer="xpointer(//*[@os='f'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/sparc64/kernel.xml"
+    href="../../bootable/sparc/kernel.xml"
     xpointer="xpointer(//*[@os='g'])"/>
 
@@ -72,9 +72,9 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/sparc64/kernel.xml"
+    href="../../bootable/sparc/kernel.xml"
     xpointer="xpointer(//*[@os='l'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/sparc64/kernel.xml"
+    href="../../bootable/sparc/kernel.xml"
     xpointer="xpointer(//*[@os='m'])"/>
 
@@ -86,13 +86,13 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/sparc64/kernel.xml"
+    href="../../bootable/sparc/kernel.xml"
     xpointer="xpointer(//*[@os='p'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/sparc64/kernel.xml"
+    href="../../bootable/sparc/kernel.xml"
     xpointer="xpointer(//*[@os='q'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/sparc64/kernel.xml"
+    href="../../bootable/sparc/kernel.xml"
     xpointer="xpointer(//*[@os='s'])"/>
 
@@ -101,18 +101,20 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/sparc64/kernel.xml"
+    href="../../bootable/sparc/kernel.xml"
     xpointer="xpointer(//*[@os='u'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/sparc64/kernel.xml"
+    href="../../bootable/sparc/kernel.xml"
     xpointer="xpointer(//*[@os='v'])"/>
 
-<screen><userinput>cp vmlinux ${LFS}/boot/lfskernel-&linux-sparc64-version;</userinput></screen>
+<screen><userinput>cp vmlinux ${LFS}/boot/lfskernel-&linux-version;</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/sparc64/kernel.xml"
+    href="../../bootable/sparc/kernel.xml"
     xpointer="xpointer(//*[@os='x'])"/>
 
-<screen><userinput>cp System.map ${LFS}/boot/System.map-&linux-sparc64-version;</userinput></screen>
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='x1'])"/>
 
   </sect2>
Index: ot/sparc64/silo.xml
===================================================================
--- boot/sparc64/silo.xml	(revision 930f40486670bcd6f4712772673d758f01619cdb)
+++ 	(revision )
@@ -1,45 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
-  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-boot-silo" role="wrap">
-  <?dbhtml filename="silo.html"?>
-
-  <title>Making the Temporary System Bootable</title>
-
-  <indexterm zone="ch-boot-silo">
-    <primary sortas="a-Silo">Silo</primary>
-    <secondary>boot, configuring</secondary>
-  </indexterm>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../sparc/silo.xml"
-  xpointer="xpointer(//*[@os='a'])"/>
-
-<screen os="aa"><userinput>cat &gt; ${LFS}/etc/silo.conf &lt;&lt; "EOF"
-<literal># Begin /etc/silo.conf
-partition = 1         # Boot partition (= root partition)
-root = /dev/sda1      # Root partition
-timeout = 150         # Wait 15 seconds before booting the default section
-
-image = /boot/lfskernel-&linux-sparc64-version;
-  label = linux
-# End /etc/silo.conf</literal>
-EOF</userinput></screen>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../sparc/silo.xml"
-  xpointer="xpointer(//*[@os='b'])"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../sparc/silo.xml"
-  xpointer="xpointer(//*[@os='c'])"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../sparc/silo.xml"
-  xpointer="xpointer(//*[@os='d'])"/>
-
-</sect1>
Index: boot/x86/grub.xml
===================================================================
--- boot/x86/grub.xml	(revision 930f40486670bcd6f4712772673d758f01619cdb)
+++ boot/x86/grub.xml	(revision 3ae6751dde933619b59223e112a308410c8e80fc)
@@ -90,5 +90,5 @@
 title LFS &version;
 root (hd0,3)
-kernel /boot/lfskernel-&linux-x86-version; root=/dev/hda4</literal>
+kernel /boot/lfskernel-&linux-version; root=/dev/hda4</literal>
 EOF</userinput></screen>
 
Index: boot/x86/kernel.xml
===================================================================
--- boot/x86/kernel.xml	(revision 930f40486670bcd6f4712772673d758f01619cdb)
+++ boot/x86/kernel.xml	(revision 3ae6751dde933619b59223e112a308410c8e80fc)
@@ -9,5 +9,5 @@
   <?dbhtml filename="kernel.html"?>
 
-  <title>Linux-&linux-x86-version;</title>
+  <title>Linux-&linux-version;</title>
 
   <indexterm zone="ch-boot-kernel">
@@ -113,5 +113,5 @@
     xpointer="xpointer(//*[@os='v'])"/>
 
-<screen><userinput>cp arch/i386/boot/bzImage ${LFS}/boot/lfskernel-&linux-x86-version;</userinput></screen>
+<screen><userinput>cp arch/i386/boot/bzImage ${LFS}/boot/lfskernel-&linux-version;</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
@@ -119,5 +119,5 @@
     xpointer="xpointer(//*[@os='x'])"/>
 
-<screen><userinput>cp System.map ${LFS}/boot/System.map-&linux-x86-version;</userinput></screen>
+<screen os="x1"><userinput>cp System.map ${LFS}/boot/System.map-&linux-version;</userinput></screen>
 
   </sect2>
Index: boot/x86_64-64-chapter.xml
===================================================================
--- boot/x86_64-64-chapter.xml	(revision 930f40486670bcd6f4712772673d758f01619cdb)
+++ boot/x86_64-64-chapter.xml	(revision 3ae6751dde933619b59223e112a308410c8e80fc)
@@ -24,5 +24,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86_64/kernel.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86_64-64/grub-build.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86_64/grub.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86/grub.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/settingenviron.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/fstab.xml"/>
Index: boot/x86_64-chapter.xml
===================================================================
--- boot/x86_64-chapter.xml	(revision 930f40486670bcd6f4712772673d758f01619cdb)
+++ boot/x86_64-chapter.xml	(revision 3ae6751dde933619b59223e112a308410c8e80fc)
@@ -24,5 +24,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86_64/kernel.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86_64/grub-build.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86_64/grub.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86/grub.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/settingenviron.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/fstab.xml"/>
Index: ot/x86_64/grub.xml
===================================================================
--- boot/x86_64/grub.xml	(revision 930f40486670bcd6f4712772673d758f01619cdb)
+++ 	(revision )
@@ -1,104 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
-  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-boot-grub">
-  <?dbhtml filename="grub.html"?>
-
-  <title>Making the Temporary System Bootable</title>
-
-  <indexterm zone="ch-boot-grub">
-    <primary sortas="a-GRUB">GRUB</primary>
-    <secondary>boot, configuring</secondary>
-  </indexterm>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../x86/grub.xml"
-  xpointer="xpointer(//*[@os='b'])"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../x86/grub.xml"
-  xpointer="xpointer(//*[@os='c'])"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../x86/grub.xml"
-  xpointer="xpointer(//*[@os='d'])"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../x86/grub.xml"
-  xpointer="xpointer(//*[@os='e'])"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../x86/grub.xml"
-  xpointer="xpointer(//*[@os='f'])"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../x86/grub.xml"
-  xpointer="xpointer(//*[@os='g'])"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../x86/grub.xml"
-  xpointer="xpointer(//*[@os='h'])"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../x86/grub.xml"
-  xpointer="xpointer(//*[@os='i'])"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../x86/grub.xml"
-  xpointer="xpointer(//*[@os='j'])"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../x86/grub.xml"
-  xpointer="xpointer(//*[@os='k'])"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../x86/grub.xml"
-  xpointer="xpointer(//*[@os='l'])"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../x86/grub.xml"
-  xpointer="xpointer(//*[@os='m'])"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../x86/grub.xml"
-  xpointer="xpointer(//*[@os='n'])"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../x86/grub.xml"
-  xpointer="xpointer(//*[@os='o'])"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../x86/grub.xml"
-  xpointer="xpointer(//*[@os='p'])"/>
-
-<screen><userinput>cat &gt; ${LFS}/boot/grub/menu.lst &lt;&lt; "EOF"
-<literal># Begin /boot/grub/menu.lst
-
-# By default boot the first menu entry.
-default 0
-
-# Allow 30 seconds before booting the default.
-timeout 30
-
-# Use prettier colors.
-color green/black light-green/black
-
-# The first entry is for LFS.
-title LFS &version;
-root (hd0,3)
-kernel /boot/lfskernel-&linux-x86_64-version; root=/dev/hda4</literal>
-EOF</userinput></screen>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../x86/grub.xml"
-  xpointer="xpointer(//*[@os='q'])"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../x86/grub.xml"
-  xpointer="xpointer(//*[@os='r'])"/>
-
-</sect1>
Index: boot/x86_64/kernel.xml
===================================================================
--- boot/x86_64/kernel.xml	(revision 930f40486670bcd6f4712772673d758f01619cdb)
+++ boot/x86_64/kernel.xml	(revision 3ae6751dde933619b59223e112a308410c8e80fc)
@@ -9,5 +9,5 @@
   <?dbhtml filename="kernel.html"?>
 
-  <title>Linux-&linux-x86-version;</title>
+  <title>Linux-&linux-version;</title>
 
   <indexterm zone="ch-boot-kernel">
@@ -110,5 +110,5 @@
     xpointer="xpointer(//*[@os='v'])"/>
 
-<screen><userinput>cp arch/x86_64/boot/bzImage ${LFS}/boot/lfskernel-&linux-x86_64-version;</userinput></screen>
+<screen><userinput>cp arch/x86_64/boot/bzImage ${LFS}/boot/lfskernel-&linux-version;</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
@@ -116,5 +116,7 @@
     xpointer="xpointer(//*[@os='x'])"/>
 
-<screen><userinput>cp System.map ${LFS}/boot/System.map-&linux-x86_64-version;</userinput></screen>
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='x1'])"/>
 
   </sect2>