Index: BOOK/boot/x86-chapter.xml
===================================================================
--- BOOK/boot/x86-chapter.xml	(revision 6cc876efc645761efd7f4b0b8c2d8ff508a2ff02)
+++ BOOK/boot/x86-chapter.xml	(revision 4e60ea5edec657066d47302cbedd0a46bde15825)
@@ -22,5 +22,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/pwdgroup.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86/kernel.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86/grub-build.xml"/>
+<!--  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86/grub-build.xml"/> -->
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/settingenviron.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/fstab.xml"/>
@@ -28,5 +28,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/devices.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/changingowner.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86/grub.xml"/>
+<!--  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86/grub.xml"/> -->
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/whatnext.xml"/>
 
Index: BOOK/boot/x86/kernel.xml
===================================================================
--- BOOK/boot/x86/kernel.xml	(revision 6cc876efc645761efd7f4b0b8c2d8ff508a2ff02)
+++ BOOK/boot/x86/kernel.xml	(revision 4e60ea5edec657066d47302cbedd0a46bde15825)
@@ -90,5 +90,5 @@
     xpointer="xpointer(//*[@os='v'])"/>
 
-<screen><userinput>cp -v arch/i386/boot/bzImage ${CLFS}/boot/clfskernel-&linux-version;</userinput></screen>
+<screen><userinput>cp -v arch/i386/boot/bzImage ${CLFS}/boot/vmlinuz-clfs-&linux-version;</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/boot/x86_64-64/lilo.xml
===================================================================
--- BOOK/boot/x86_64-64/lilo.xml	(revision 6cc876efc645761efd7f4b0b8c2d8ff508a2ff02)
+++ BOOK/boot/x86_64-64/lilo.xml	(revision 4e60ea5edec657066d47302cbedd0a46bde15825)
@@ -16,7 +16,9 @@
   </indexterm>
 
+<!--
      <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
      href="../../final-system/x86/grub.xml"
      xpointer="xpointer(//*[@os='n1'])"/>
+-->
 
   <para os="a">You are nearly ready to boot to the new temporary system.
@@ -30,7 +32,9 @@
   </command> commands you installed on the host system.</para>
 
+<!--
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
   href="../x86/grub.xml"
   xpointer="xpointer(//*[@os='b'])"/>
+-->
 
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/boot/x86_64-chapter.xml
===================================================================
--- BOOK/boot/x86_64-chapter.xml	(revision 6cc876efc645761efd7f4b0b8c2d8ff508a2ff02)
+++ BOOK/boot/x86_64-chapter.xml	(revision 4e60ea5edec657066d47302cbedd0a46bde15825)
@@ -22,5 +22,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/pwdgroup.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86_64/kernel.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86_64/grub-build.xml"/>
+<!--  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86_64/grub-build.xml"/> -->
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/settingenviron.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86_64/flags.xml"/>
@@ -29,5 +29,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/devices.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/changingowner.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86/grub.xml"/>
+<!--  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86/grub.xml"/> -->
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/whatnext.xml"/>
 
Index: BOOK/boot/x86_64/kernel.xml
===================================================================
--- BOOK/boot/x86_64/kernel.xml	(revision 6cc876efc645761efd7f4b0b8c2d8ff508a2ff02)
+++ BOOK/boot/x86_64/kernel.xml	(revision 4e60ea5edec657066d47302cbedd0a46bde15825)
@@ -86,5 +86,5 @@
     xpointer="xpointer(//*[@os='v'])"/>
 
-<screen><userinput>cp -v arch/x86_64/boot/bzImage ${CLFS}/boot/clfskernel-&linux-version;</userinput></screen>
+<screen><userinput>cp -v arch/x86_64/boot/bzImage ${CLFS}/boot/vmlinuz-clfs-&linux-version;</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/bootable/x86/grub.xml
===================================================================
--- BOOK/bootable/x86/grub.xml	(revision 6cc876efc645761efd7f4b0b8c2d8ff508a2ff02)
+++ BOOK/bootable/x86/grub.xml	(revision 4e60ea5edec657066d47302cbedd0a46bde15825)
@@ -18,5 +18,5 @@
   <para os="a">Your shiny new CLFS system is almost complete. One of the last
   things to do is to ensure that the system can be properly booted. The
-  instructions below apply only to computers of IA-32 architecture,
+  instructions below apply only to computers of x86 and x86_64 architecture,
   meaning mainstream PCs. Information on <quote>boot loading</quote> for
   other architectures should be available in the usual resource-specific
@@ -29,42 +29,12 @@
   the computer if the computer becomes unusable (un-bootable).</para>
 
-  <para os="c">Earlier, we compiled and installed the GRUB boot loader software
-  in preparation for this step. The procedure involves writing some special
-  GRUB files to specific locations on the hard drive. We highly recommend
-  creating a GRUB boot floppy diskette as a backup. Insert a blank floppy
-  diskette and run the following commands:</para>
+  <para os="c">The first thing we need to do is generate a configuration for
+  GRUB. In previous versions of grub we could create the configuration manually
+  here, but with GRUB2 we can generate <filename>grub.cfg</filename>
+  automatically. You can do this with the following command:</para>
 
-<screen os="d"><userinput>dd if=/boot/grub/stage1 of=/dev/fd0 bs=512 count=1
-dd if=/boot/grub/stage2 of=/dev/fd0 bs=512 seek=1</userinput></screen>
+<screen os="d"><userinput>grub-mkconfig -o /boot/grub/grub.cfg</userinput></screen>
 
-  <para os="e">Remove the diskette and store it somewhere safe. Now, run the
-  <command>grub</command> shell:</para>
-
-<screen os="f"><userinput>grub</userinput></screen>
-
-  <para os="g">GRUB uses its own naming structure for drives and partitions in
-  the form of <emphasis>(hdn,m)</emphasis>, where <emphasis>n</emphasis>
-  is the hard drive number and <emphasis>m</emphasis> is the partition
-  number, both starting from zero. For example, partition <filename
-  class="partition">hda1</filename> is <emphasis>(hd0,0)</emphasis> to
-  GRUB and <filename class="partition">hdb3</filename> is
-  <emphasis>(hd1,2)</emphasis>. In contrast to Linux, GRUB does not
-  consider CD-ROM drives to be hard drives. For example, if using a CD
-  on <filename class="partition">hdb</filename> and a second hard drive
-  on <filename class="partition">hdc</filename>, that second hard drive
-  would still be <emphasis>(hd1)</emphasis>.</para>
-
-  <para os="h">Using the above information, determine the appropriate designator
-  for the root partition (or boot partition, if a separate one is used).
-  For the following example, it is assumed that the root (or separate boot)
-  partition is <filename class="partition">hda4</filename>.</para>
-
-  <para os="i">Tell GRUB where to search for its <filename>stage{1,2}</filename>
-  files. The Tab key can be used everywhere to make GRUB show the
-  alternatives:</para>
-
-<screen os="j"><userinput>root (hd0,3)</userinput></screen>
-
-  <warning os="k">
+  <warning os="w1">
     <para>The following command will overwrite the current boot loader.
     Do not run the command if this is not desired, for example, if using
@@ -72,69 +42,12 @@
     In this scenario, it would make more sense to install GRUB into the
     <quote>boot sector</quote> of the CLFS partition. In this case, this
-    next command would become <userinput>setup (hd0,3)</userinput>.</para>
+    next command would become <userinput>grub-install /dev/sda2</userinput>
+    .</para>
   </warning>
 
-  <para os="l">Tell GRUB to install itself into the MBR of
-  <filename class="partition">hda</filename>:</para>
+  <para os="e">Instruct GRUB to install itself int othe MBR of
+  <filename class="partition">sda</filename>:</para>
 
-<screen os="m"><userinput>setup (hd0)</userinput></screen>
-
-  <para os="n">If all went well, GRUB will have reported finding its files in
-  <filename class="directory">/boot/grub</filename>. That's all there is
-  to it. Quit the <command>grub</command> shell:</para>
-
-<screen os="o"><userinput>quit</userinput></screen>
-
-  <para os="p">Create a <quote>menu list</quote> file defining GRUB's boot
-  menu:</para>
-
-<screen><userinput>cat &gt; /boot/grub/menu.lst &lt;&lt; "EOF"
-<literal># Begin /boot/grub/menu.lst
-
-# By default boot the first menu entry.
-default 0
-
-# Allow 30 seconds before booting the default.
-timeout 30
-
-# Use prettier colors.
-color green/black light-green/black
-
-# The first entry is for CLFS.
-title CLFS &version;
-root (hd0,3)
-kernel /boot/clfskernel-&linux-version; root=/dev/hda4</literal>
-EOF</userinput></screen>
-
-
-  <para os="q">Add an entry for the host distribution if desired. It might look
-  like this:</para>
-
-<screen os="r"><userinput>cat &gt;&gt; /boot/grub/menu.lst &lt;&lt; "EOF"
-<literal>title Red Hat
-root (hd0,2)
-kernel /boot/kernel-2.6.5 root=/dev/hda3
-initrd /boot/initrd-2.6.5</literal>
-EOF</userinput></screen>
-
-  <para os="s">If dual-booting Windows, the following entry will allow
-  booting it:</para>
-
-<screen os="t"><userinput>cat &gt;&gt; /boot/grub/menu.lst &lt;&lt; "EOF"
-<literal>title Windows
-rootnoverify (hd0,0)
-chainloader +1</literal>
-EOF</userinput></screen>
-
-  <para os="u">If <command>info grub</command> does not provide all necessary
-  material, additional information regarding GRUB is located on its
-  website at: <ulink url="http://www.gnu.org/software/grub/"/>.</para>
-
-  <para os="v">The FHS stipulates that the bootloader's configuration file should
-  be symlinked to <filename class="symlink">/etc/{Bootloader Name}</filename>.
-  To satisfy this requirement for GRUB, issue the following command:</para>
-
-<screen os="w"><userinput>mkdir -v /etc/grub &amp;&amp;
-ln -sv /boot/grub/menu.lst /etc/grub</userinput></screen>
+<screen os="f"><userinput>grub-install /dev/sda</userinput></screen>
 
 </sect1>
Index: BOOK/final-system/x86/grub.xml
===================================================================
--- BOOK/final-system/x86/grub.xml	(revision 6cc876efc645761efd7f4b0b8c2d8ff508a2ff02)
+++ BOOK/final-system/x86/grub.xml	(revision 4e60ea5edec657066d47302cbedd0a46bde15825)
@@ -31,36 +31,16 @@
     </note>
 
-    <para os="p1">GRUB has an issue that can cause it to segfault when you
-    try to configure a drive to utilize GRUB on x86_64 and building machines. The following
-    patch fixes this problem:</para>
-
-<screen os="p2"><userinput>patch -Np1 -i ../&grub-use_mmap-patch;</userinput></screen>
-
-    <para os="p3">GRUB has an issue where it sometimes doesn't detect
-    the disk geometry correctly when used with Linux 2.6, resulting
-    in the error message <literal>Error 24: Attempt to access block outside
-    partition</literal>. The following patch contains a fix for this issue
-    as well as various fixes for raid controllers and support for the
-    new Intel Mac:</para>
-
-<screen os="p4"><userinput>patch -Np1 -i ../&grub-fixes-patch;</userinput></screen>
-
-    <para os="p5">By default, GRUB doesn't support ext2 filesystems with 256-byte inodes. Fix this by applying the following patch:</para>
-
-<screen os="p6"><userinput>patch -Np1 -i ../&grub-256byte_inode-patch;</userinput></screen>
-
-    <para os="p7">By default, GRUB doesn't support ext4 filesystems. Fix this by applying the following patch:</para>
-
-<screen os="p8"><userinput>patch -Np1 -i ../&grub-ext4-patch;</userinput></screen>
-
-    <para os="a">This package is known to have issues when its default optimization
-    flags (including the <option>-march</option> and <option>-mcpu</option>
-    options) are changed. If any environment variables that override default
-    optimizations have been defined, such as <envar>CFLAGS</envar> and
-    <envar>CXXFLAGS</envar>, unset them when building GRUB.</para>
-
-    <para os="b">Prepare GRUB for compilation:</para>
-
-<screen><userinput>./configure --prefix=/usr</userinput></screen>
+    <note os="n2">
+      <para>This package is known to have issues when its default optimization
+      flags (including the <option>-march</option> and <option>-mcpu</option>
+      options) are changed. If any environment variables that override default
+      optimizations have been defined, such as <envar>CFLAGS</envar> and
+      <envar>CXXFLAGS</envar>, unset them when building GRUB.</para>
+    </note>
+
+    <para os="a">Prepare GRUB for compilation:</para>
+
+<screen os="b"><userinput>./configure --prefix=/usr \
+    --sysconfdir=/etc</userinput></screen>
 
     <para os="c">Compile the package:</para>
@@ -68,21 +48,165 @@
 <screen os="d"><userinput>make</userinput></screen>
 
-    <para os="e">To test the results, issue:
+    <para os="e">To test GRUB you must have QEMU installed and then, issue:
     <userinput>make check</userinput>.</para>
 
     <para os="f">Install the package:</para>
 
-<screen os="g"><userinput>make install
-mkdir -pv /boot/grub
-cp -v /usr/lib/grub/*/stage{1,2} /boot/grub</userinput></screen>
-
-    <para os="h">The directory in
-    <filename class="directory">/usr/lib/grub</filename> (its name depends
-    on your arch) contains a number of <filename>*stage1_5</filename> files,
-    different ones for different file systems. Review the files available and
-    copy the appropriate ones to the <filename
-    class="directory">/boot/grub</filename> directory. Most users will
-    copy the <filename>e2fs_stage1_5</filename> and/or
-    <filename>reiserfs_stage1_5</filename> files.</para>
+<screen os="g"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 id="conf-grub" role="configuration">
+    <title>Configuring GRUB</title>
+
+    <indexterm zone="conf-grub">
+      <primary sortas="a-GRUB">GRUB</primary>
+    <secondary>configuring</secondary></indexterm>
+
+    <indexterm zone="conf-grub">
+      <primary sortas="e-/etc/default/grub">/etc/default/grub</primary>
+    </indexterm>
+
+    <para>Now that grub is installed, we need to configure the defaults that
+    will be used to generate the configuration after we install the kernel.
+    Create this file with the following:</para>
+
+<screen><userinput>install -m755 -dv /etc/default
+cat &gt; /etc/default/grub &lt;&lt; "EOF"
+<literal># Begin /etc/default/grub
+
+GRUB_DEFAULT=0
+#GRUB_SAVEDEFAULT=true
+GRUB_HIDDEN_TIMEOUT=
+GRUB_HIDDEN_TIMEOUT_QUIET=false
+GRUB_TIMEOUT=10
+GRUB_DISTRIBUTOR=Cross-LFS
+
+GRUB_CMDLINE_LINUX=""
+GRUB_CMDLINE_LINUX_DEFAULT=""
+
+#GRUB_TERMINAL=console
+#GRUB_GFXMODE=640x480
+
+#GRUB_DISABLE_LINUX_UUID=true
+#GRUB_DISABLE_LINUX_RECOVERY=true
+
+#GRUB_INIT_TUNE="480 440 1"
+
+#GRUB_DISABLE_OS_PROBER=true
+
+# End /etc/default/grub</literal>
+EOF</userinput></screen>
+
+    <variablelist>
+      <title>The meaning of the above options and possible alternate
+      values:</title>
+
+    <varlistentry>
+      <term><parameter>GRUB_DEFAULT=</parameter></term>
+      <listitem>
+        <para>Write Me</para>
+      </listitem>
+    </varlistentry>
+
+    <varlistentry>
+      <term><parameter>GRUB_SAVEDEFAULT=</parameter></term>
+      <listitem>
+        <para>Write Me</para>
+      </listitem>
+    </varlistentry>
+
+    <varlistentry>
+      <term><parameter>GRUB_HIDDEN_TIMEOUT=</parameter></term>
+      <listitem>
+        <para>Write Me</para>
+      </listitem>
+    </varlistentry>
+
+    <varlistentry>
+      <term><parameter>GRUB_HIDDEN_TIMEOUT_QUIET=</parameter></term>
+      <listitem>
+        <para>Write Me</para>
+      </listitem>
+    </varlistentry>
+
+    <varlistentry>
+      <term><parameter>GRUB_TIMEOUT=</parameter></term>
+      <listitem>
+        <para>Write Me</para>
+      </listitem>
+    </varlistentry>
+
+    <varlistentry>
+      <term><parameter>GRUB_DISTRIBUTOR=</parameter></term>
+      <listitem>
+        <para>Write Me</para>
+      </listitem>
+    </varlistentry>
+
+    <varlistentry>
+      <term><parameter>GRUB_CMDLINE_LINUX=</parameter></term>
+      <listitem>
+        <para>Write Me</para>
+      </listitem>
+    </varlistentry>
+
+    <varlistentry>
+      <term><parameter>GRUB_CMDLINE_LINUX_DEFAULT=</parameter></term>
+      <listitem>
+        <para>Write Me</para>
+      </listitem>
+    </varlistentry>
+
+    <varlistentry>
+      <term><parameter>GRUB_TERMINAL=</parameter></term>
+      <listitem>
+        <para>Write Me</para>
+      </listitem>
+    </varlistentry>
+
+    <varlistentry>
+      <term><parameter>GRUB_GFXMODE=</parameter></term>
+      <listitem>
+        <para>Write Me</para>
+      </listitem>
+    </varlistentry>
+
+    <varlistentry>
+      <term><parameter>GRUB_DEFAULT=</parameter></term>
+      <listitem>
+        <para>Write Me</para>
+      </listitem>
+    </varlistentry>
+
+    <varlistentry>
+      <term><parameter>GRUB_DISABLE_LINUX_UUID=</parameter></term>
+      <listitem>
+        <para>Write Me</para>
+      </listitem>
+    </varlistentry>
+
+    <varlistentry>
+      <term><parameter>GRUB_DISABLE_LINUX_RECOVERY=</parameter></term>
+      <listitem>
+        <para>Write Me</para>
+      </listitem>
+    </varlistentry>
+
+    <varlistentry>
+      <term><parameter>GRUB_INIT_TUNE=</parameter></term>
+      <listitem>
+        <para>Write Me</para>
+      </listitem>
+    </varlistentry>
+
+    <varlistentry>
+      <term><parameter>GRUB_DISABLE_OS_PROBER=</parameter></term>
+      <listitem>
+        <para>Write Me</para>
+      </listitem>
+    </varlistentry>
+
+    </variablelist>
 
   </sect2>
Index: BOOK/final-system/x86_64-64/lilo.xml
===================================================================
--- BOOK/final-system/x86_64-64/lilo.xml	(revision 6cc876efc645761efd7f4b0b8c2d8ff508a2ff02)
+++ BOOK/final-system/x86_64-64/lilo.xml	(revision 4e60ea5edec657066d47302cbedd0a46bde15825)
@@ -28,9 +28,9 @@
   <sect2 role="installation">
     <title>Installation of Lilo</title>
-
+<!--
      <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
      href="../../final-system/x86/grub.xml"
      xpointer="xpointer(//*[@os='n1'])"/>
-
+-->
     <para os="c">Compile the package:</para>
 
Index: BOOK/final-system/x86_64-chapter.xml
===================================================================
--- BOOK/final-system/x86_64-chapter.xml	(revision 6cc876efc645761efd7f4b0b8c2d8ff508a2ff02)
+++ BOOK/final-system/x86_64-chapter.xml	(revision 4e60ea5edec657066d47302cbedd0a46bde15825)
@@ -92,5 +92,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/udev-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/vim.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86_64/grub.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86/grub.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/aboutdebug.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/stripping.xml"/>
Index: OK/final-system/x86_64/grub.xml
===================================================================
--- BOOK/final-system/x86_64/grub.xml	(revision 6cc876efc645761efd7f4b0b8c2d8ff508a2ff02)
+++ 	(revision )
@@ -1,95 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-<sect1 id="ch-system-grub" role="wrap">
-  <?dbhtml filename="grub.html"?>
-
-  <title>GRUB-&grub-version;</title>
-
-  <indexterm zone="ch-system-grub">
-    <primary sortas="a-GRUB">GRUB</primary>
-  </indexterm>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../x86/grub.xml"
-  xpointer="xpointer(//*[@role='package'])"/>
-
-  <sect2 role="installation">
-    <title>Installation of GRUB</title>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/grub.xml"
-    xpointer="xpointer(//*[@os='n1'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/grub.xml"
-    xpointer="xpointer(//*[@os='p1'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/grub.xml"
-    xpointer="xpointer(//*[@os='p2'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/grub.xml"
-    xpointer="xpointer(//*[@os='p3'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/grub.xml"
-    xpointer="xpointer(//*[@os='p4'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/grub.xml"
-    xpointer="xpointer(//*[@os='p5'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/grub.xml"
-    xpointer="xpointer(//*[@os='p6'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/grub.xml"
-    xpointer="xpointer(//*[@os='p7'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/grub.xml"
-    xpointer="xpointer(//*[@os='p8'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/grub.xml"
-    xpointer="xpointer(//*[@os='b'])"/>
-
-<screen><userinput>CC="gcc ${BUILD32}" ./configure --prefix=/usr</userinput></screen>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/grub.xml"
-    xpointer="xpointer(//*[@os='c'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/grub.xml"
-    xpointer="xpointer(//*[@os='d'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/grub.xml"
-    xpointer="xpointer(//*[@os='e'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/grub.xml"
-    xpointer="xpointer(//*[@os='f'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/grub.xml"
-    xpointer="xpointer(//*[@os='g'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/grub.xml"
-    xpointer="xpointer(//*[@os='h'])"/>
-
-  </sect2>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../x86/grub.xml"
-  xpointer="xpointer(id('contents-grub'))"/>
-
-</sect1>
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision 6cc876efc645761efd7f4b0b8c2d8ff508a2ff02)
+++ BOOK/introduction/common/changelog.xml	(revision 4e60ea5edec657066d47302cbedd0a46bde15825)
@@ -40,4 +40,7 @@
       <para>August 08, 2010</para>
       <itemizedlist>
+        <listitem>
+          <para>[jciccone] - Updated GRUB to 1.98.</para>
+        </listitem>
         <listitem>
           <para>[jciccone] - Updated the Kernel to 2.6.35.</para>
Index: BOOK/materials/x86/patches.xml
===================================================================
--- BOOK/materials/x86/patches.xml	(revision 6cc876efc645761efd7f4b0b8c2d8ff508a2ff02)
+++ BOOK/materials/x86/patches.xml	(revision 4e60ea5edec657066d47302cbedd0a46bde15825)
@@ -22,39 +22,4 @@
     </varlistentry>
 
-    <varlistentry os="grub-256byte_inode-patch">
-      <term>Grub 256-Byte Inode Patch - <token>&grub-256byte_inode-patch-size;</token>:</term>
-      <listitem>
-        <para>Download: <ulink
-        url="&patches-root;&grub-256byte_inode-patch;"/></para>
-        <para>MD5 sum: <literal>&grub-256byte_inode-patch-md5;</literal></para>
-      </listitem>
-    </varlistentry>
-
-    <varlistentry os="grub-ext4-patch">
-      <term>Grub EXT4 Update - <token>&grub-ext4-patch-size;</token>:</term>
-      <listitem>
-        <para>Download: <ulink
-        url="&patches-root;&grub-ext4-patch;"/></para>
-        <para>MD5 sum: <literal>&grub-ext4-patch-md5;</literal></para>
-      </listitem>
-    </varlistentry>
-
-    <varlistentry os="grub-fixes-patch">
-      <term>Grub Various Fixes - <token>&grub-fixes-patch-size;</token>:</term>
-      <listitem>
-        <para>Download: <ulink
-        url="&patches-root;&grub-fixes-patch;"/></para>
-        <para>MD5 sum: <literal>&grub-fixes-patch-md5;</literal></para>
-      </listitem>
-    </varlistentry>
-
-    <varlistentry os="grub-use_mmap-patch">
-      <term>Grub Use MMAP Patch - <token>&grub-use_mmap-patch-size;</token>:</term>
-      <listitem>
-        <para>Download: <ulink
-        url="&patches-root;&grub-use_mmap-patch;"/></para>
-        <para>MD5 sum: <literal>&grub-use_mmap-patch-md5;</literal></para>
-      </listitem>
-    </varlistentry>
   </variablelist>
 
Index: BOOK/materials/x86_64/patches.xml
===================================================================
--- BOOK/materials/x86_64/patches.xml	(revision 6cc876efc645761efd7f4b0b8c2d8ff508a2ff02)
+++ BOOK/materials/x86_64/patches.xml	(revision 4e60ea5edec657066d47302cbedd0a46bde15825)
@@ -16,20 +16,4 @@
     href="../x86/patches.xml"
     xpointer="xpointer(//*[@os='gcc-specs-patch'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/patches.xml"
-    xpointer="xpointer(//*[@os='grub-256byte_inode-patch'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/patches.xml"
-    xpointer="xpointer(//*[@os='grub-ext4-patch'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/patches.xml"
-    xpointer="xpointer(//*[@os='grub-fixes-patch'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/patches.xml"
-    xpointer="xpointer(//*[@os='grub-use_mmap-patch'])"/>
 
     <varlistentry os="iproute2-libdir-patch">
Index: BOOK/packages.ent
===================================================================
--- BOOK/packages.ent	(revision 6cc876efc645761efd7f4b0b8c2d8ff508a2ff02)
+++ BOOK/packages.ent	(revision 4e60ea5edec657066d47302cbedd0a46bde15825)
@@ -198,8 +198,8 @@
 <!ENTITY groff-home "&gnu-software;groff">
 
-<!ENTITY grub-version "0.97">
-<!ENTITY grub-size "949 KB">
+<!ENTITY grub-version "1.98">
+<!ENTITY grub-size "2,392 KB">
 <!ENTITY grub-url "&alpha-gnu;grub/grub-&grub-version;.tar.gz">
-<!ENTITY grub-md5 "cd3f3eb54446be6003156158d51f4884">
+<!ENTITY grub-md5 "c0bcf60e524739bb64e3a2d4e3732a59">
 <!ENTITY grub-home "&gnu-software;grub">
 
Index: BOOK/patches.ent
===================================================================
--- BOOK/patches.ent	(revision 6cc876efc645761efd7f4b0b8c2d8ff508a2ff02)
+++ BOOK/patches.ent	(revision 4e60ea5edec657066d47302cbedd0a46bde15825)
@@ -173,20 +173,4 @@
 <!ENTITY bin86-x86_64-patch-size "1 KB">
 
-<!ENTITY grub-256byte_inode-patch "grub-&grub-version;-256byte_inode-1.patch">
-<!ENTITY grub-256byte_inode-patch-md5 "2482bef9c1866b4045767a56268ba673">
-<!ENTITY grub-256byte_inode-patch-size "4 KB">
-
-<!ENTITY grub-ext4-patch "grub-&grub-version;-ext4-1.patch">
-<!ENTITY grub-ext4-patch-md5 "4e15738421a4e769cafd324befb8be5d">
-<!ENTITY grub-ext4-patch-size "9 KB">
-
-<!ENTITY grub-fixes-patch "grub-&grub-version;-fixes-2.patch">
-<!ENTITY grub-fixes-patch-md5 "3f7b50a6274063c1e8a8e57131045f5a">
-<!ENTITY grub-fixes-patch-size "132 KB">
-
-<!ENTITY grub-use_mmap-patch "grub-&grub-version;-use_mmap-2.patch">
-<!ENTITY grub-use_mmap-patch-md5 "700257168164d6df67b5c73ba02cca75">
-<!ENTITY grub-use_mmap-patch-size "20 KB">
-
 <!ENTITY lilo-cross-x86_64-patch "lilo-&lilo-version;-cross_compile_x86_64-2.patch">
 <!ENTITY lilo-cross-x86_64-patch-md5 "a7440e18ef7fa6c5d1c6181dc0cc4d10">